<?php
/**
* agrega_f.php
*
* formulario para la edicin de base de datos generado de forma dinmica a partir de la estructura de la base de datos.
*  
* 
* @package    	TReCC(tm) Procesos Participativos Urbanos.
* @subpackage 	argumentaciones
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2014 TReCC SA
* @license    	https://www.gnu.org/licenses/agpl-3.0-standalone.html GNU AFFERO GENERAL PUBLIC LICENSE, version 3 (agpl-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU AFero General Public License version 3" 
* publicada por la Free Software Foundation
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/

/*
 * Criterios:
 * las tablas a editar son interpretadas de acuerdo al nombre de sus campos, al tipo de campos y a la informacin contenida en sus comentarios
 * 
 * nombre:
 * zz_
 *	 los nombres de campo iniciados con la cadena "zz_" indican que es un indicador silencioso, y por tanto no debe ser visualizado por usuarios.
 * 
 *	zz_AUTO
 *	los nombres de campo iniciados con la cadena "zz_" indican que es un indicador generado de forma automatica asociado con informaicn disponible en la intancia de creacin o edicin de un registro.
 *	 		zz_AUTOFECHAMODIF este campo debe completarse automticamente con la fecha, cada vez que se actualiza el registro
 *	 		zz_AUTOFECHACREACION este campo debe completarse automticamente con la fecha, cuando se crea el registro 
 *	 		zz_AUTOPANEL este campo debe completarse automticamente con el id del panel activo, cuando se crea el registro 
 *	 		zz_AUTOUSUARIO este campo debe completarse automticamente con el id del usuario activo, cuando se crea el registro
 * 
 *	id_p
 *	Los nombres de campo iniciados con la cadena "id_p" indican la relacion con un campo de otra tabla con las siguientes variables
 * 	este tipo de nombre genrea un input texto con links de completamiento rpido. La escritura permite generar nuevas entredas en la tabla asociada, y los links referenciar a otros existentes.
 * 	en caso de escribir un texto repetido en el campo de referencia no se generarn nuevos registros, se interpretar vinculacin a los existentes.  	
 * 		id_p_01_02_03_04
 * 		donde:
 * 			01: nombre de la tabla asociada
 * 			02: nombre del campo asociado (por defecto id)
 *			03: nombre de un campo de referencia para la identificacin (por defecto nombre)
 *			04: cadena de indetificacion del campo actual
 * 
 * Tipo
 * el tipo de campo determina el tipo de input a generar
 * 		enum => select
 * 		date => 3x input text
 *		 text => textarea
 *		 varchar => text
 *		 tinyint(1) => check
 * 
 * 	
 * Comentarios
 * los comentarios previos a la cadena "//" son transcriptos al formulario como undicacin al usuario
 * los comentarios posteriores a la cadena "//" son funciones de interpretacin separadas por el caracter ";"
 * funciones de interpretacion:
 * 		habilita|NOMBREDECAMPO; al contener un valor habilita completar un campo de esta tabla
 * 		inhabilita|NOMBREDECAMPO; al contener un valor inhabilita completar un campo de esta tabla
 */
include ('./includes/header.php');	
	$PanelI = $_SESSION['panelcontrol']->PANELI;
	$Base = $_SESSION['panelcontrol']->DATABASE_NAME;
	$UsuarioI = $_SESSION['panelcontrol']->USUARIO;
	include ('./registrousuario.php');
	
foreach($Usuario['Acc'] as $g => $nivel){
	if($nivel=='editor'||$nivel=='administrador'){
		$HabilitadoEdicion='si';
	}elseif($nivel=='relevador'){
		header('location: ./inicio.php');
	}elseif($nivel=='visitante'||$nivel=='auditor'){
		header('location: ./inicio.php');
	}
}	

//if($_SERVER[SERVER_ADDR]=='192.168.0.252')ini_set('display_errors', '1');ini_set('display_startup_errors', '1');ini_set('suhosin.disable.display_errors','0'); error_reporting(-1);
	
	$Conec1 = $_SESSION['panelcontrol']->Conec1;
	$PanelI = $_SESSION['panelcontrol']->PANELI;
	
		
	$Id_contrato = $_GET["contrato"];
	$Tabla = $_GET["tabla"];
	$Id = $_GET["id"];
	$Accion = $_GET["accion"];
	$Modo = $_GET["modo"];
	$Campo = $_GET["campo"];//DECRECATED;
	if($Campo!=''){
		$_SESSION['DEBUG']['mensajes'][]="llamada desactualizada en $_GET. 'campo=' debe cambiar por 'campos[]='.";
	}
	$CampoS = $_GET["campos"];	// array de campos habilitados para la edicin
	if($Campo==''&&$CampoS!=''){$Campo="--HHHHH--";}
	$Tablahermana = $_GET["tablahermana"];
	$Idhermana = $_GET["idhermana"];
	
	$EliminarHabilitado=$_GET['eliminarhabilitado'];
	
	$campofijo = $_GET["campofijo"];
	if($campofijo == ""){$campofijo = "vacio";}
	$campofijo_c = $_GET["campofijo_c"];
	
	$campofijob = $_GET["campofijob"];
	if($campofijob == ""){$campofijob = "vacio";}
	$campofijob_c = $_GET["campofijob_c"];

	$campofijoc = $_GET["campofijoc"];
	if($campofijoc == ""){$campofijoc = "vacio";}
	$campofijoc_c = $_GET["campofijoc_c"];

	$campofijod = $_GET["campofijod"];
	if($campofijod == ""){$campofijod = "vacio";}
	$campofijod_c = $_GET["campofijod_c"];
	
	$Salida = $_GET["salida"];
	$Salida = isset($_GET['salida']) ? $_GET['salida'] : ((substr($Tabla,0,3) =='DOC')? 'documentos' : ((substr($Tabla,0,3) =='INF')? 'informe' : 'panelgeneral'));
	$Salidaid = $_GET["salidaid"];	
	$Salidatabla = $_GET["salidatabla"];
	
	//$ConUsu = mysql_query("usuarios", $query,$Conec1);	

	$CODIGOELIMINACION = '-[-BORRX-]-'; //esta es la codificacin con la que debe recibirse un campo que debe ser eliminado, a diferencia de un campo sobre el que no halla cambios requeridos.

// carga configuracin del panel y datos 	
	$Consultaconfig = mysql_query("SELECT * FROM configuracion WHERE id_p_paneles_id_nombre='$PanelI'",$Conec1);
	echo mysql_error();
	$config = mysql_fetch_assoc($Consultaconfig);		

	
	mysql_select_db ('paneles',$Conec1);
													
	if($Tabla == 'comunicaciones' || $Tabla == 'DOCversion' || $Tabla == 'indicadores'){
		$query="SELECT * FROM grupos WHERE id_p_paneles_id_nombre = '$PanelI'";
		$cons_grupos = mysql_query($query,$Conec1);
		echo mysql_error($Conec1);
		while($row=mysql_fetch_assoc($cons_grupos)){
			$GRUPOS[$row['tipo']][$row['id']]=$row;
		}
	}
	
	foreach($_GET as $k => $v){// estas variables son pasadas por las aplicaciones comunes manteniendose.
		if(substr($k,0,5)=='PASAR'){
			$PASAR[$k]=$v;
		}
	}

	
?>
<!DOCTYPE html>
<head>
	<title>Panel de Control</title>
	<link rel="stylesheet" type="text/css" href="./css/general.css">
	<?php
	if($Modo!='mini'){
		echo '<link rel="stylesheet" type="text/css" href="./css/panelbase.css">';
	?>
	<style type="text/css">
		.gris {
		background-color:lightgray;
		}
		
		.carga {
		background-color:#A9F5BC;
		}
		
		select{
		width:300px;
		float:left;
		}
		
		form{
		margin:0;
		width:160px;
		width:auto;
		}

		table{
		width:800px;
		margin:5px;
		}

		textarea{
			font-family:'arial';
			font-size:11px;
			width:100%;
		}
		
		.dato{
		min-height: 55px;
		border-top:2px solid #000;
		margin-top:2px;
		}
		
		.boton{
		width:80px;		
		}
		
				
		.boton2{
		width:25px;		
		}
		
		.boton3{
		width:150px;
		}
		
		p{
		margin:0 10px;
		}
		
		h1{
		margin:0 10px;
		}
		
		input.fecha{
		float:left;
		width:40px;		
		}		

		input.chico{
		width:300px;
		}		
		
		input.mini{
		float:left;
		width:25px;
		}		
		
		select.chico{
		width:100px;
		}			
			
		th{
		font-size:12px;
		text-align:right;
		background-color:lightblue;
		width:100px;
		}

		.paquete{
		width:300px;
		margin-bottom:5px;
		float:left;
		border: 1px gray solid; 
		padding: 5px;
		background-color:#C4DBE2;
		}
				
		.salva{
		width:90px;
		margin-bottom:5px;
		float:left;
		}

		.reporte{
		width:200px;
		}

		.marco{
		border-bottom: 1px solid gray;
		float: none;
		width: 100%;		
		}
		
		.referencia{
		font-size: 10px;
		}

		.alerta{
		background-color:red;
		}

		.similth{
		background-color:none;
		width:800px;
		text-align:left;
		}	
	
	
		.similth > div{
		background-color:lightblue;
		width:100px;
		margin-left:3px;
		border:white 2px solid;
		text-align:right;
		position:relative;
		top:-4px;
		}
		
	#reporte_bid{
	float:left;
	}
	
	#PTUBA{
	float:left;
	}
	
	#imagenesI{
	float:left;
	}
	
	#imagenesII{
	float:left;
	}
	
	iframe{
		border:1px solid gray;
		width:310px;
		height:80px;
	}

	input[readonly='readonly']{	
		background-color:lightblue;		
		height:4px;
	}

	input[type="button"]{
	    height:19px;
	    min-width:60px;
	    position:absolute;
	}
	input[type="submit"]{
	    height:19px;
	    min-width:60px;
	    position:absolute;	  
	    top:20px;
	    left:150px;
	    width:105px;	      
	}
	input[type="reset"]{
	    height:19px;
	    min-width:60px;
	    position:absolute;		  
	    top:20px;
	    left:260px;      
	    width:105px;	    
	}		

	input[value="Eliminar"]{
	    height:19px;
	    min-width:60px;
	    position:absolute;		  
	    top:20px;
	    left:490px;    
	    width:105px;
	    background-color:#FA5858;
	    font-weight:bold;
	    color:#000;
	}		

	input[value="Cancelar"]{
	    height:19px;
	    min-width:60px;
	    position:absolute;		  
	    top:20px;
	    left:370px;    
	    width:105px;
	}		


	.dato{
		position:relative;
	} 
		
	.dato > a{
	    display: inline-block;
	    height: 12px;
	    overflow: visible;
	    width: 145px;
	}
	
	.dato > a:hover{
	    z-index:30;
	}	
	
	.contenedor{
		font-size:9px;
		height:10px;
		display:inline-block;
		width:20px;
		margin-right:2px;
		position:relative;
		overflow:visible;
		vertical-align: top;
	}
	.contenido{
		background-color:lightblue;
		border:#08AFD9 1px solid;
		color:#000;
		display:inline-block;
		width:19px;
		height:10px;
		margin:0px;
		position:absolute;
		overflow:hidden;
		text-align:center;
	}
	
	.subcontenedor.oculto{
		display:none;
		width:90px;
		height:auto;
		position:absolute;
	}
	
	
	
	.contenedor:hover > .contenido.aclara{
		display:none;
	}
	
	.contenedor:hover > .subcontenedor.oculto{
		display:block;
	}
	
	.contenedor:hover > .subcontenedor.oculto > .contenido.oculto{
		display:block;
		position:absolute;		
		width:auto;
		min-width:20px;
		max-width:90px;
		z-index:20;
		height:auto;
		border:1px solid #000;
	}	
	
		.aprobada{
			background-color:#55BF55;
			border-color: #CDF7CD #008000 #008000 #CDF7CD;
		}
		.rechazada{
			background-color:#FF565B;
			border-color:  #FFC0CB #F00 #F00 #FFC0CB;
		}
		.enevaluacion{
			background-color:blue;
			background-color:#3797FF;
			border-color:   #5CF2FF   #00F #00F #5CF2FF;
		}
		.apresentar{
			background-color:grey;
			border-color:  silver #000 #000 silver;			
		}	
		.anuladamuestra{
			background-color:#000;
			color:#fff;
			border-color:  silver #000 #000 silver;			
		}	
		
		
		a.elimcampo{
			color:red;
			border:1px solid red;
			font-size:10px;
			position:absolute;
			right:5px;
			top:20px;
			width:5px;
		}
		
		.muestracolor{
			display:inline-block;
			border:1px solid gray;
			width:50px;
			height:17px;
			vertical-align: middle;
			margin:2px;
		}
	
	</style>
	<?php
	}else{
		echo '<link rel="stylesheet" type="text/css" href="./css/mini.css">';
	}
?>
	
	
	<script LANGUAGE="javascript">
	_fechaobjetivo='';
	</script>	
	
</head>
<body>
	
<script type="text/javascript">
	function intepretarcolor(_Cstring){		
		return _Cstring;
	}	

	function cargaColorValue(_this){
		_muestra=_this.nextSibling;
		_contenido=_this.value;
		_colorVal=intepretarcolor(_contenido);
		_muestra.style.backgroundColor=_colorVal;
		
	}
	function cargaColor(_id,_contenido){
		_muestra=document.getElementById(_id);
		_colorVal=intepretarcolor(_contenido);		
		_muestra.style.backgroundColor=_colorVal;		
	}	

		
	
	function nombreunico(_nombre){
	var arrayLength = _arraydenombres.length;
	_nombre = _nombre.replace(/ /g, "");
	_nombre = _nombre.toUpperCase()
	_primero='';	
	for (var i = 0; i < arrayLength; i++) {

		if(_arraydenombres[i]==_nombre){
			_primero=_nombre;
	   		alert('Nombre repetido! '+_arraydenombres[i]);
	   		document.getElementById(_nombre).style.backgroundColor='red';
			document.getElementById("listadenombres").scrollTop = document.getElementById(_nombre).offsetTop;
		}else if(_arraydenombres[i].indexOf(_nombre)>-1){
			if(_primero==''){_primero=_arraydenombres[i];}
			document.getElementById(_arraydenombres[i]).style.backgroundColor='yellow';
			//document.getElementById("listadenombres").scrollTop = document.getElementById(_arraydenombres[i]).offsetTop;
		}else{
			document.getElementById(_arraydenombres[i]).style.backgroundColor='#fff';
		}
		if(_primero!=''){
			document.getElementById("listadenombres").scrollTop = document.getElementById(_primero).offsetTop;
		}
		

		
	}
}
</script>	
	
	<?php
	
	if($Modo!='mini'){
		echo "hola $UsuarioN <br>";
		echo "has accedido como $UsuarioAcc <br>";
		if($GrupoAcc ==''){
			echo "del panel general <br>";
		}else{
			echo "del grupo $GrupoAcc ";
		}
		if($GrupoAcc =='' && $UsuarioAcc=='administrador'){
			$edicionextra = 'si';
			echo "dados sus permisos se habilita en esta pgina la edicin de listados asociados.<br>";	
		}
	}


	if($Accion == ""){
		$Accion = "agrega";
	}else{
		$Consulta = mysql("$Base", "SELECT * FROM $Tabla WHERE id='$Id'");
		$Consulta_filas = mysql_num_rows($Consulta);
		$DatosExistentes=mysql_fetch_assoc($Consulta);
		
		if($Consulta_filas>0&&$Accion!='borra'){
			$Accion = "cambia";
		}
	}
	
	$Datos = "";
	
	if ($Accion == "agrega"){$Href = "agrega.php";$AccionNom = "Agregar";}
	elseif ($Accion == "cambia"){$Href = "cambia.php";$AccionNom = "Guardar";}
	elseif ($Accion == "borra"){$Href = "borra.php";$AccionNom = "Borrar";}
	else {$Href = "error.php";}
	
	

	if($Tabla=='DOCdocumento'){		
		if($config['doc-criterionum']=="nico"){
			$numeracion=$PLANOSACARGADOS;
		}elseif($config['doc-criterionum']=="nico por grupo"){
			$numeracion=$PLANOSgruposACARGADOS;								
		}elseif($config['doc-criterionum']=="irrestricto"){
			$numeracion=0;
		}
		if($numeracin!=0){				
			include_once('./documentos_consulta.php');
			$docs=documentoconsulta();
			echo "<div id='listadenombres' class='aux' style='position:absolute;top:50px;left:700px;height:200px;overflow:scroll'>";
			foreach($numeracion as $num => $cant){
				echo "<p id='$num' name='$num'>$num</p>";
				$textarray.="'$num',";
			}
			$textarray=substr($textarray,0,-1);
			echo "</div>";
		}
	}
	
	echo "<script type='text/javascript'>";
	echo "var _arraydenombres = [$textarray];";
	echo "</script>";
	
	
	
	if ($Accion == "agrega" || $Accion == "cambia"){
		
	$result = mysql_query('SHOW FULL COLUMNS FROM `'.$Tabla.'`');
	while($row=mysql_fetch_assoc($result)){
		$CAMPOS[$row['Field']]=$row;
		$CAMPOS[$row['Field']]['habilitado']='';
		
	}	
	
	foreach($CAMPOS as $Cnombre => $Cdata){
		$xtra='';		
		if(strpos($Cdata['Comment'], "//")!==false){
			$e=explode("//",$Cdata['Comment']);
			$f=explode(";",$e[1]);
			
			foreach($f as $fdata){
				$t=explode("|",$fdata);
				if($t[0]=='inhabilita'){
					if($DatosExistentes[$Cnombre]!=''){
						$CAMPOS[$t[1]]['habilitado']='DISABLED';
						$xtra=' (INHABILITADO POR OTRO CAMPO)';							
						$c = explode("//",$CAMPOS[$t[1]]['Comment']);
						$CAMPOS[$t[1]]['Comment']=$c[0].$xtra.$c[1];
					}
				}

				if($t[0]=='habilita'){					
					if($DatosExistentes[$Cnombre]==''){
						$CAMPOS[$t[1]]['habilitado']='DISABLED';
						$xtra=' (A HABILITAR POR OTRO CAMPO)';
						$c = explode("//",$CAMPOS[$t[1]]['Comment']);
						$CAMPOS[$t[1]]['Comment']=$c[0].$xtra.$c[1];
					}
				}
				
			}
			
			$CAMPOS[$Cnombre]['Comment']=$e[0];
		}		
	}
	
	?>
			<div id="marco">
				<form action="./<?php echo $Href;?>" method="POST" enctype='multipart/form-data'>
					<input type="hidden" name="tabla" value="<?php echo $Tabla;?>">
					<input type="hidden" name="contrato" value="<?php echo $Id_contrato;?>">			
					<input type="hidden" name="id" value="<?php echo $Id;?>">
					<input type="hidden" name="<?php echo $campofijo;?>" value="<?php echo $campofijo_c;?>">
					<input type="hidden" name="<?php echo $campofijob;?>" value="<?php echo $campofijob_c;?>">		
					<input type="hidden" name="<?php echo $campofijoc;?>" value="<?php echo $campofijoc_c;?>">							
					<input type="hidden" name="<?php echo $campofijod;?>" value="<?php echo $campofijod_c;?>">										
					<input type="hidden" name="accion" value="<?php echo $Accion;?>">
					<input type="hidden" name="campo" value="<?php echo $Campo;?>">
					<input type="hidden" name="tablahermana" value="<?php echo $Tablahermana;?>">
					<input type="hidden" name="idhermana" value="<?php echo $Idhermana;?>">	
					<input type="hidden" name="salida" value="<?php echo $Salida;?>">
					<input type="hidden" name="salidaid" value="<?php echo $Salidaid;?>">					
					<input type="hidden" name="salidatabla" value="<?php echo $Salidatabla;?>">										
	
					<h1><?php echo $Accion . " " . $Tabla;?></h1>
					<h2><?php echo $Nombre_contrato;?></h2>
					<div id="hoja">	
			
						<?php	
						foreach($PASAR as $k => $v){
							echo '<input type="hidden" name="'.$k.'" value="'.$v.'">';
						}
						
					    //$result = mysql_query('SHOW FULL COLUMNS FROM `'.$Tabla.'`');
					    if (mysql_num_rows($result) > 0) {
					    			 
							$empaquetado = -100;
							$borradato="no";
							
							foreach($CAMPOS as $row){
					        	
					        	$campohabilitado='no';
								
								foreach($CampoS as $c){
									if($c==$row['Field']){				
										$campohabilitado='si';	
									}
								}
								
					        	$contenido='';
					        	$comentario = $row['Comment'];
								
								if($row['Default']!=''&&$row['Default']!=null){$Def=$row['Default'];}else{$Def='';}
								
								echo $Def;
								
					        	$wheremas ="";
					        	if($row['Field']=='id_p_grupos_id_nombre_tipoa'&&$Tabla=='comunicaciones'){
					        		$comentario = $config['com-grupoa'];
					        	}elseif(
					        		$row['Field']=='id_p_grupos_id_nombre_tipob'&&$Tabla=='comunicaciones'){$comentario = $config['com-grupob'];
								}elseif(
					        		$row['Field']=='ident'&&$Tabla=='comunicaciones'){$comentario = $config['com-ident'];
								}elseif(
					        		$row['Field']=='identdos'&&$Tabla=='comunicaciones'){$comentario = $config['com-identdos'];
								}elseif($row['Field']=='id_p_comunicaciones_id_ident_entrante'){
									$orig='present';
									$form="<span class='enevaluacion'>present</span>";
									$comentario = str_replace($orig,$form,$row['Comment']);
								}elseif($row['Field']=='id_p_comunicaciones_id_ident_aprobada'){
									$orig='aprob';
									$form="<span class='aprobada'>aprob</span>";
									$comentario = str_replace($orig,$form,$row['Comment']);
								}elseif($row['Field']=='id_p_comunicaciones_id_ident_rechazada'){
									$orig='rechaz';
									$form="<span class='rechazada'>rechaz</span>";
									$comentario = str_replace($orig,$form,$row['Comment']);
								}elseif($row['Field']=='id_p_comunicaciones_id_ident_anulada'){
									$orig='anula';
									$form="<span class='anuladamuestra'>anula</span>";
									$comentario = str_replace($orig,$form,$row['Comment']);
								}
								
								if(substr($comentario,0,6)=='Mdulo'){
									$comentario="<b>".$comentario."</b>";
								}
							
								if($row['Field']=='sentido'&&$Tabla=='comunicaciones'){$sale = $config['com-sale'];$entra = $config['com-entra'];}
					        	
								if(($row['Field']=='grupo'||$row['Field']=='grupob')&&$Tabla=='comunicaciones'){
									$campo=$row['Field'];
									$Consultalista = mysql("$Base", "SELECT $campo FROM $Tabla WHERE id_p_paneles_id_nombre='$PanelI' GROUP BY $campo");
								}else{$Consultalista="";}
								
								
								if($empaquetado == -100){echo "<div class='paquete'>";$empaquetado =0;}
								
								if($borradato=="no"){
									echo "<div class='dato'>";
								}else{
									$borradato="no";
								}
								
								if($Accion != "agrega"){
									$contenido = mysql_result($Consulta, 0, $row['Field']);
								}elseif($Accion == "agrega"){
									$x = "C-".$row['Field'];
									$contenido = $_GET[$x];
									if($contenido==''){
										$contenido = $Def;
									}
								}
								
								$i=substr($row['Field'],0,3);
								/* print_r($row); */
								$Type = substr($row['Type'],0,3);
								
								if($row['Field'] == 'id'){
									$empaquetado --;
									$borradato="si";
								
								}elseif($row['Field'] == 'id_p_B_usuarios_usuarios_id_nombre'){
									echo "<input ".$row['habilitado']." type='hidden' name='id_p_B_usuarios_usuarios_id_nombre' value='".$UsuarioI."'>";
									echo "<p>".$comentario.": ".$UsuarioN."</p>";
								}elseif($row['Field'] == 'numerodeplano'){
									echo "<input ".$row['habilitado']." onkeyup='nombreunico(this.value);' id='".$row['Field']."' class='chico' type='text' name='".$row['Field']."' value='".$contenido."'>";
									
									echo "<p>".$comentario.": ".$UsuarioN."</p>";
								}elseif($i == 'zz_'){
									$valor='';
									
									if($row['Field']=="zz_pass"){
										echo $comentario;
										echo "<input ".$row['habilitado']." type='password' name='".$row['Field']."' value='".$valor."'>";
										
									}else{
										
										echo "<input ".$row['habilitado']." type='hidden' name='".$row['Field']."' value='".$valor."'>";
										$empaquetado --;
										$borradato="si";
									}
									$valor='';
								
									
								}elseif($row['Field'] == $campofijo){
									echo "<p>".$comentario.": ".$campofijo_c."</p>";

								}elseif($row['Field'] == $campofijob){
									echo "<p>".$comentariob.": ".$campofijob_c."</p>";
								
								}elseif($row['Field'] == $campofijoc){
									echo "<p>".$comentarioc.": ".$campofijoc_c."</p>";

								}elseif($row['Field'] == $campofijod){
									echo "<p>".$comentariod.": ".$campofijod_c."</p>";
																
								}elseif($i == 'FI_'){
									if($Campo == "" || $Campo == $row['Field'] || $campohabilitado=='si'){
										echo "<p>".$comentario.": ".$campofijo_c."</p>";
										if($contenido!=''){
											echo "<a href='$contenido'>documento actual</a>";
											echo "reemplazar por:";
										}	
										echo "<input ".$row['habilitado']." type='hidden' name='".$row['Field']."' value='".$contenido."'>";
										
										$path='path'.$row['Field'];
										if(isset($_GET[$path])){
											$ruta=$_GET[$path];
										}else{
											$cod=substr($Tabla,0,3);
											$ruta=$_SESSION['modulos'][$cod]['doc'];
										}
										echo "<input ".$row['habilitado']." type='hidden' name='archivo_".$row['Field']."_path' value='".$ruta."'>";	
										
										echo "<input ".$row['habilitado']." type='file' name='archivo_".$row['Field']."'>";
									}else{
										echo "<input ".$row['habilitado']." type='hidden' name='archivo_".$row['Field']."' value='".$contenido."'>";
									}
									
								}elseif($i == 'CO_'){
									if($Campo == "" || $Campo == $row['Field']||$campohabilitado=='si'){									
										echo "<p>".$comentario."</p>";
										
										echo "<input ".$row['habilitado']." type='text' name='".$row['Field']."' value='".$contenido."' onkeyup='cargaColorValue(this);'><div id='MuCol".$row['Field']."' class='muestracolor'></div>";
										
										
										if($contenido!=''){
											
											echo "<script type='text/javascript'>";
											echo "cargaColor('MuCol".$row['Field']."','".$contenido."')";
											echo "</script>";				
										}									
									}
								}elseif($i != 'id_'){
									if($Campo == "" || $Campo == $row['Field']||$campohabilitado=='si'){
										echo $comentario;
										echo "<br>";
										if ($Type == "tex"){
											$empaquetado =+ 3;
											echo "<a class='elimcampo' title='eliminar contenido' onclick='this.nextSibling.value=\"$CODIGOELIMINACION\";'>X</a>";
											echo "<textarea name='".$row['Field']."'>$contenido</textarea>";	
										}elseif ($Type == "dat"){
											/* if($Accion == "agrega" ){$contenido = date("Y") . "-" . date("m") . "-" . date("d");} */
											if($Accion == "agrega" && $row['Field'] == "fechacierre"){$contenido = "0000-00-00";}
											if($Accion == "agrega" && $Tabla == "comunicaciones" && $row['Field'] == "cerradodesde"){$contenido = "0000-00-00";}
											if($row['Comment'] == "fecha en que se realiza el pedido"){$estado = "READONLY";}else{$estado = "";}
											if(!fechavalida($contenido)){$contenido="";}
											
											echo "<input ".$row['habilitado']." class='mini' type='text' size='2' id='".$row['Field']."_d' name='".$row['Field']."_d' value='".dia($contenido)."' $estado";
												if($Accion == "agrega" && $Tabla == "comunicaciones" && $row['Field'] == "fecharecepcion"){
													echo " onchange='
														getElementById(\"fechainicio_d\").value = this.value;
														if(_fechaobjetivo==\"fijada\"){
															getElementById(\"fechaobjetivo_d\").value = this.value;
															getElementById(\"cerradodesde_d\").value = this.value;
														}'
													";
												}
											echo ">";
											
											echo "<input ".$row['habilitado']." class='mini' type='text' id='".$row['Field']."_m' name='".$row['Field']."_m' value='".mes($contenido)."' $estado";

													if($Accion == "agrega" && $Tabla == "comunicaciones" && $row['Field'] == "fecharecepcion"){
													echo " onchange='
														getElementById(\"fechainicio_m\").value = this.value;
														if(_fechaobjetivo==\"fijada\"){
															getElementById(\"fechaobjetivo_m\").value = this.value;
															getElementById(\"cerradodesde_m\").value = this.value;
														}'
													";
												}
											echo ">";
											
											echo "<input ".$row['habilitado']." class='fecha' type='text' id='".$row['Field']."_a' name='".$row['Field']."_a' value='".ano($contenido)."' $estado";

													if($Accion == "agrega" && $Tabla == "comunicaciones" && $row['Field'] == "fecharecepcion"){
													echo " onchange='
														getElementById(\"fechainicio_a\").value = this.value;
														if(_fechaobjetivo==\"fijada\"){
															getElementById(\"fechaobjetivo_a\").value = this.value;
															getElementById(\"cerradodesde_a\").value = this.value;
														}'
													";
												}
											echo ">";
													
												
											if($contenido!=''){
												echo "<input ".$row['habilitado']." type='button' value='borrar fecha' 
													onclick='
														document.getElementById(\"".$row['Field']."_d\").value = \"00\";
														document.getElementById(\"".$row['Field']."_d\").setAttribute(\"readonly\", \"readonly\");
														document.getElementById(\"".$row['Field']."_m\").value = \"00\";
														document.getElementById(\"".$row['Field']."_m\").setAttribute(\"readonly\", \"readonly\");
														document.getElementById(\"".$row['Field']."_a\").value = \"0000\";
														document.getElementById(\"".$row['Field']."_a\").setAttribute(\"readonly\", \"readonly\");
														'>
												";												
											}
											
										}elseif ($Type == "enu"){
											$campo=$row['Field'];
											$listado = $row['Type'];
											$listado = str_replace("enum('","",$listado);
											$listado = str_replace("')","",$listado);
											$lista = explode("','", $listado);
											echo "<select ".$row['habilitado']." name='".$campo."' ";
												
												if($Accion == "agrega" && $Tabla == "comunicaciones" && $row['Field'] == "requerimiento"){
													?>
													onchange="
														if(this.value=='no'){
															_fechaobjetivo='fijada';
															getElementById('fechaobjetivo_a').value = getElementById('fecharecepcion_a').value;
															getElementById('fechaobjetivo_m').value = getElementById('fecharecepcion_m').value;	
															getElementById('fechaobjetivo_d').value = getElementById('fecharecepcion_d').value;	
															
															getElementById('cerradodesde_a').value = getElementById('fecharecepcion_a').value;
															getElementById('cerradodesde_m').value = getElementById('fecharecepcion_m').value;
															getElementById('cerradodesde_d').value = getElementById('fecharecepcion_d').value;
															
															getElementById('cerradodesde_a').setAttribute('readOnly','readonly');
															getElementById('cerradodesde_a').style.backgroundColor='lightblue';
															getElementById('cerradodesde_m').setAttribute('readOnly','readonly');
															getElementById('cerradodesde_m').style.backgroundColor='lightblue';
															getElementById('cerradodesde_d').setAttribute('readOnly','readonly');
															getElementById('cerradodesde_d').style.backgroundColor='lightblue';
															
															getElementById('fechaobjetivo_a').setAttribute('readOnly','readonly');
															getElementById('fechaobjetivo_a').style.backgroundColor='lightblue';
															getElementById('fechaobjetivo_m').setAttribute('readOnly','readonly');
															getElementById('fechaobjetivo_m').style.backgroundColor='lightblue';
															getElementById('fechaobjetivo_d').setAttribute('readOnly','readonly');
															getElementById('fechaobjetivo_d').style.backgroundColor='lightblue';		
															
															getElementById('fechainicio_a').setAttribute('readOnly','readonly');
															getElementById('fechainicio_a').style.backgroundColor='lightblue';
															getElementById('fechainicio_m').setAttribute('readOnly','readonly');
															getElementById('fechainicio_m').style.backgroundColor='lightblue';
															getElementById('fechainicio_d').setAttribute('readOnly','readonly');
															getElementById('fechainicio_d').style.backgroundColor='lightblue';															
														};
														if(this.value=='si'){
															this.form.cerradodesde_a.removeAttribute('readOnly'); 
															
															getElementById('cerradodesde_a').removeAttribute('readOnly','readonly');
															getElementById('cerradodesde_a').style.backgroundColor='white';
															getElementById('cerradodesde_m').removeAttribute('readOnly','readonly');
															getElementById('cerradodesde_m').style.backgroundColor='white';
															getElementById('cerradodesde_d').removeAttribute('readOnly','readonly');
															getElementById('cerradodesde_d').style.backgroundColor='white';
															
															getElementById('fechaobjetivo_a').removeAttribute('readOnly','readonly');
															getElementById('fechaobjetivo_a').style.backgroundColor='white';
															getElementById('fechaobjetivo_m').removeAttribute('readOnly','readonly');
															getElementById('fechaobjetivo_m').style.backgroundColor='white';
															getElementById('fechaobjetivo_d').removeAttribute('readOnly','readonly');
															getElementById('fechaobjetivo_d').style.backgroundColor='white';		
															
															getElementById('fechainicio_a').removeAttribute('readOnly','readonly');
															getElementById('fechainicio_a').style.backgroundColor='white';
															getElementById('fechainicio_m').removeAttribute('readOnly','readonly');
															getElementById('fechainicio_m').style.backgroundColor='white';
															getElementById('fechainicio_d').removeAttribute('readOnly','readonly');
															getElementById('fechainicio_d').style.backgroundColor='white';		
														}
													
													"
													<?php
												}
											
											echo ">";
											
											echo "<option value='$CODIGOELIMINACION'>-ninguno-</option>";
											foreach ($lista as $v) {	
												if($contenido == $v){$selecta = "selected='yes'";
												}else{$selecta = "";}
												if($v == 'entrante'){$va = $entra." (".$v.")";
												}elseif($v == 'saliente'){$va = $sale." (".$v.")";
												}else{$va = $v;}
											    echo "<option value='" . $v . "'" . $selecta . ">". $va . "</option>";
											}
											echo "</select>";									
											
											?>	
											 
											<?php
										}elseif ($row['Type'] == "tinyint(1)"){
											$campo=$row['Field'];											
											if($contenido==1){$contenidocheck=" checked";}else{$contenidocheck="";}
											echo "<a class='elimcampo' title='eliminar contenido' onclick='this.nextSibling.value=\"$CODIGOELIMINACION\";this.nextSibling.nextSibling.indeterminate = true;'>X</a>";							
											echo "<input type='hidden' name='".$row['Field']."' id='".$row['Field']."' value='$contenido'>";
											?><input type="checkbox" name="" value="" <?php echo $contenidocheck;?> 
											 onclick="
											 	alterna('<?php echo $row['Field'];?>', this.checked);
											 	<?php if(($campo=='com-aprobacion'||$campo=='com-aprobacion-sale')&&$Tabla=='configuracion'){
											 		echo "
											 			window.open('./ediciontablagenerica.php?tabla=comunestadoslista&accion=cambia','mywindow');
											 		";
												}?>
											"
											>
											<?php 
												if(
													($campo=='com-aprobacion'||$campo=='com-aprobacion-sale')
													&&$Tabla=='configuracion'&&$contenido=='1'
												){
											 		echo "
											 			<a target='_blank' href='./ediciontablagenerica.php?tabla=comunestadoslista&accion=cambia'>
											 			ver listado de aprobaciones
											 			</a>
											 		";
												}elseif($campo=='doc-visadomultiple'&&$Tabla=='configuracion'&&$contenido=='1'){
											 		echo "
											 			<a target='_blank' href='./ediciontablagenerica.php?tabla=DOCvisados&accion=cambia'>
											 			ver listado de aprobaciones
											 			</a>
											 		";
												}
											?>
											
																						
											
											<?php
										}else{
											echo "<a class='elimcampo' title='eliminar contenido' onclick='this.nextSibling.value=\"$CODIGOELIMINACION\";'>X</a>";		
											echo "<input id='".$row['Field']."' class='chico' type='text' name='".$row['Field']."' value='$contenido'>";
											if($Consultalista != ''){
												while ($listaitem = mysql_fetch_assoc($Consultalista)) {
													$itemlista=$listaitem[$row['Field']];
													echo "<a onclick='document.getElementById(\"".$row['Field']."\").value = \"$itemlista\";'>";
														echo $itemlista;
													echo "</a>";
												}
												echo "<a onclick='document.getElementById(\"".$row['Field']."\").value = \"\";'>";
													echo "ninguno";
												echo "</a>";
											}
										}
										
									}elseif($campofijo == $row['Field']){
										echo "<input type='hidden' name='$campofijo' value='$campofijo_c'>";
									}else{
										echo "<input class='chico' type='hidden' name='".$row['Field']."' value='".str_replace("'","'",$contenido)."'>";
									}
									
									
								}elseif($i == 'id_' && $row['Field'] != $campofijo && $row['Field'] != "id_p_paneles_id_nombre"){
									
									if($Campo != "" && $Campo != $row['Field']){
										if($campofijo == $row['Field']){
											?>	
											<input type="hidden" name="<?php echo $campofijo;?>" value="<?php echo $campofijo_c;?>">
											<?php
										}else{
											?>
											<input class="chico" type="hidden" size="2" name="<?php echo $row['Field'];?>" value="<?php echo str_replace('"',"'",$contenido);?>">
											<?php	
										}
										
									}else{
										
										$Typolink = substr($row['Field'],0,4);
										/* para tablas padre */
										if($Typolink == "id_p" && ($config['com-grupob']!="NO" || $row['Field']!="id_p_grupos_id_nombre_tipob")){	
											$Baselink = substr($row['Field'],0,6);
											/* para tablas padre en otras bases*/
											if($Baselink == "id_p_B"){
												$o = explode("_", $row['Field']);
												$basepadre = $o[3];
												$tablapadre = $o[4];
												$campopadre = $o[5];
												if($o[6] != ""){$referencia = $o[6];}else{$referencia = $campopadre;}
												
												
											/*	echo "<br> linkeado a: base: ".$basepadre." tabla: ".$tablapadre." campo: ".$campopadre." referencia: ".$referencia;
											*/
												$Consultadosactual = mysql("$basepadre", "SELECT * FROM $tablapadre WHERE $campopadre = '$contenido' ORDER BY $referencia");
												echo mysql_error();
												if(mysql_num_rows($Consultadosactual)>0){
													$contenidopadre = mysql_result($Consultadosactual, 0, $campopadre);
												}
													$Consultados = mysql("$basepadre", "SELECT * FROM $tablapadre");
													$Consultados_filas = mysql_num_rows($Consultados);	
												echo "<select ".$row['habilitado']." name='".$row['Field']."'>";
												echo "<option value='0'>-elegir-</option>";
												if($Consultados_filas > 0){
													$filas = 0;
													if($Accion == "agrega" && $row['Field'] == "id_p_B_usuarios_usuarios_id_nombre_autor"){$contenidopadre = $UsuarioI;}elseif($Accion == "agrega"){$contenidopadre = "";}
													if($Accion == "cambia"){$contenidopadre=$contenido;}
											        while ($filas < $Consultados_filas ) {
											        	
														$tx = mysql_result($Consultados, $filas, $referencia);
														$idl = mysql_result($Consultados, $filas, $campopadre);
														
														if($contenidopadre == $idl)
														{
															$selecta = "selected='yes'";
														}
														
														else
														{
															$selecta = "";
														}
														
														echo "<option value='" . $idl . "'" . $selecta . ">". $tx . "</option>";
														$filas ++;
													}
													
													echo "</select><br>";
												}
											}else{
												
												/* para tablas padre en la misma base*/
												$o = explode("_", $row['Field']);
												$basepadre = $Base;
												$tablapadre = $o[2];
												$padre = $basepadre . "." . $tablapadre;
												echo $comentario;
												
												
												/*echo "<a target='_blank' href='./ediciontablagenerica.php?tabla=".$tablapadre."'> (editar listado)</a>";*/
												
												if($edicionextra =='si'){
													$extracondicion='';
													if($o[5]=='tipo'){$extracondicion.='&campofijo=tipo&campofijo_c='.$o[6];}
													/*
													echo " <a href='./agrega_f.php?tabla=$tablapadre&salida=$Salida&accion=agrega$extracondicion'>agregar ".$tablapadre."</a>";
													 * */
												}
												
												$estructurapadre = mysql_query('SHOW FULL COLUMNS FROM '.$basepadre.'.'.$tablapadre);
												echo mysql_error();
						  						if (mysql_num_rows($estructurapadre) > 0) {
						  							/*$a = mysql_fetch_assoc($estructurapadre);*/
						  							$campozzborra='no';
													$wheremas = "WHERE '1'='1'";
						  							while ($value = mysql_fetch_assoc($estructurapadre)){
						  								if($value['Field']=='zz_borrada'){
															$wheremas .= " AND zz_borrada='0'";
														}
													}					  					
						  							mysql_data_seek($estructurapadre, 0);
						  							
													while ($value = mysql_fetch_assoc($estructurapadre)){
														if(substr($value['Field'],0,15)=="id_p_paneles_id"||substr($value['Field'],0,12)=="zz_AUTOPANEL"){
															$wheremas .= " AND ".$tablapadre.".".$value['Field']." = ".$PanelI;
														}
													}	
												}		
												if($o[5]!=''){
													if($o[5]=='tipoa'){$wheremas.=" AND $tablapadre.tipo = 'a'";}
													if($o[5]=='tipob'){$wheremas.=" AND $tablapadre.tipo = 'b'";}
													if($o[5]=='tipo'){$wheremas.=" AND $tablapadre.tipo ='".$o[6]."'";}
												}
																								
												if($Tabla == 'comunicaciones' || $Tabla == 'indicadores'){
												$JOIN = "LEFT JOIN $Tabla ON $Tabla.".$row['Field']." = ".$tablapadre.".id";
												$GROUP = "GROUP BY ".$tablapadre.".id";
												$ORDER = "ORDER BY ".$Tabla.".id DESC";
												}
												
												if($tablapadre=='comunicaciones'){
													$ORDER = "ORDER BY ".$tablapadre.".id DESC";
												}
												
												$resultdos = mysql_query('SHOW FULL COLUMNS FROM '.$padre);		
												if (mysql_num_rows($result) > 0) {
													if($tablapadre == 'grupos')
														{$wheremas .= " AND ".$tablapadre.".id_p_paneles_id_nombre = '$PanelI' ";
													}elseif($tablapadre == 'paneles'){
														$wheremas .= " AND id = '$PanelI' ";
													}
													
													
													/*echo $JOIN." ".$wheremas;*/
													$query= "SELECT * FROM $padre $JOIN $wheremas $GROUP $ORDER";
													$Consultados = mysql_query($query);
													echo mysql_error();
													$Consultados_filas = mysql_num_rows($Consultados);	
													$Consultados_filas_cuenta = 0;
													
													echo "<input ".$row['habilitado']." type='hidden' id='".$row['Field']."' name='".$row['Field']."' value='".$contenido."'>";
													
													
													if($row['Field']=='id_p_comunicaciones_id_ident_entrante'||$row['Field']=='id_p_comunicaciones_id_ident_rechazada'||$row['Field']=='id_p_comunicaciones_id_ident_aprobada'||$row['Field']=='id_p_comunicaciones_id_ident_anulada'){
														$readonly = "READONLY";
													}else{$readonly = "";}/* algunos campos no permiten la autogeneracin de nuevos registros asociados*/
														
													if($row['Field'] == 'id_p_DOCdocumento_id' && $Tabla == 'DOCversion'){ /* no despliega listado en caso de estar llamando la tabla de vesriones de docuemntos*/
														echo "<input ".$row['habilitado']." type='button' style='position:relative;' class='chico' id='".$row['Field']."-n' name='".$row['Field']."_n' value=''";
														?>
														onclick="window.location='./agrega_f.php?tabla=DOCdocumento&accion=cambia&id=<?php echo $contenido;?>';"
														<?php
														echo ">";
													}else{
														
														echo "<input ".$row['habilitado']." $readonly class='chico' id='".$row['Field']."-n' name='".$row['Field']."_n' value=''";
														?>
															 onKeyUp="
															 _valor = this.value;
															 _campo = '<?php echo $row['Field'];?>';
															 document.getElementById('<?php echo $row['Field'];?>').value = includes(_campo, _valor);"												 
														<?php
													
													
														echo"><br>";
														echo "<a 
														    onclick='
														    	document.getElementById(\"".$row['Field']."-n\").value = \"\";
														    	document.getElementById(\"".$row['Field']."\").value = \"".$CODIGOELIMINACION."\";'
														    >
																-vacio-
															</a>";
													}
													
													$campovalor = isset($o[4])?$o[4]:'nombre';
													
													$ocultoporexeso='no';
													while($Consultados_filas_cuenta < $Consultados_filas){
														$v = mysql_result($Consultados, $Consultados_filas_cuenta, $campovalor);
														$va = $v;
														
														if($Consultados_filas_cuenta>'50'&&$ocultoporexeso=='no'){
															//oculta los resultados posteriores al numero 50 para evitar formularios confusos
															$ocultoporexeso='si';
															echo "<br><a ";?>onclick="this.nextSibling.style.display='block';"<?php echo ">ms (ms viejos)-></a>";
															echo "<div class='dato' style='display:none;'>";
														}
														
														if($row['Field']=='id_p_comunicaciones_id_ident_entrante'||$row['Field']=='id_p_comunicaciones_id_ident_rechazada'||$row['Field']=='id_p_comunicaciones_id_ident_aprobada'||$row['Field']=='id_p_comunicaciones_id_ident_anulada'){
															if(mysql_result($Consultados, $Consultados_filas_cuenta, 'preliminar')=='extraoficial'){$o='x';}else{$o='';}
															$PREN['entrante']=$config['com-entra-preN'.$o];
															$PREN['saliente']=$config['com-sale-preN'.$o];	
															
															$sentido=mysql_result($Consultados, $Consultados_filas_cuenta, 'sentido');
															
															$ca=$GRUPOS['a'][mysql_result($Consultados, $Consultados_filas_cuenta, 'id_p_grupos_id_nombre_tipoa')]['codigo'];
															$na=$GRUPOS['a'][mysql_result($Consultados, $Consultados_filas_cuenta, 'id_p_grupos_id_nombre_tipoa')]['nombre'];
															$cb=$GRUPOS['b'][mysql_result($Consultados, $Consultados_filas_cuenta, 'id_p_grupos_id_nombre_tipob')]['codigo'];
															$nb=$GRUPOS['b'][mysql_result($Consultados, $Consultados_filas_cuenta, 'id_p_grupos_id_nombre_tipob')]['nombre'];
															
															if($ca!=''){$A = $ca;}else{$A = $na;}
															if($cb!=''){$B = $cb;}else{$B = $nb;}	
															
																			
															$v = $PREN[$sentido].$v;
															$va = "<span class='contenedor aclara'><span class='subcontenedor oculto'><span class='contenido oculto'>".$na."</span></span><span class='contenido aclara'>".$A."</span></span><span class='contenedor aclara'><span class='subcontenedor oculto'><span class='contenido oculto'>".$nb."</span></span><span class='contenido aclara'>".$B."</span></span>".$v;
											
															if(mysql_result($Consultados, $Consultados_filas_cuenta, 'id')==$contenido){
																?>
																<script type='text/javascript'>
																	document.getElementById('<?php echo $row['Field'];?>-n').value = '<?php echo $v;?>';
																	
																</script>
																<?php																
															}
															if($row['Field']=='id_p_comunicaciones_id_ident_entrante'){
																if($sentido=='saliente'){
																	$Opcionespostergadas[mysql_result($Consultados, $Consultados_filas_cuenta, 'id')]=$v;
																	$Consultados_filas_cuenta ++;continue;/* saltea el restro del while evitando que se cargue inicialmente la opcin */
																}
															}
															if(($row['Field']=='id_p_comunicaciones_id_ident_rechazada'||$row['Field']=='id_p_comunicaciones_id_ident_aprobada'||$row['Field']=='id_p_comunicaciones_id_ident_anulada')){
																if($sentido=='entrante'){
																	$Opcionespostergadas[mysql_result($Consultados, $Consultados_filas_cuenta, 'id')]=$v;
																	$Consultados_filas_cuenta ++;continue;/* saltea el restro del while evitando que se cargue inicialmente la opcin */
																}
															}	
														}
														$vt = mysql_result($Consultados, $Consultados_filas_cuenta, 'nombre');
														$v = ($v != '') ? $v : $vt;
														$idv = mysql_result($Consultados, $Consultados_filas_cuenta, 'id');
														if($idv==$contenido){
															?>
															<script LANGUAGE="javascript">
																document.getElementById('<?php echo $row['Field'];?>-n').value = '<?php echo $v;?>';
															</script>
															<?php
														}
															?>
															
														<script LANGUAGE="javascript">	
															var <?php echo $row['Field'];?>=new Array();
															<?php echo $row['Field'];?>['id']=new Array();
															<?php echo $row['Field'];?>['n']=new Array();
															
															<?php echo $row['Field'];?>['id'].push("<?php echo $idv;?>");
															<?php echo $row['Field'];?>['n'].push("<?php echo $v;?>");  
		
														</script>	
																
														<?php													
														if($row['Field'] != 'id_p_DOCdocumento_id' || $Tabla !='DOCversion'){ /* no despliega listado en caso de estar llamando la tabla de vesriones de docuemntos*/
															?>
															
														    <a 
														    title='<?php echo $vt;?>'
															
														   	ondblclick="window.location='./agrega_f.php?accion=cambia&tabla=<?php echo $tablapadre;?>&id=<?php echo $idv;?>';"												   
														    onclick="
														    	document.getElementById('<?php echo $row['Field'];?>-n').value = '<?php echo $v;?>';
														    	document.getElementById('<?php echo $row['Field'];?>').value = '<?php echo $idv;?>'
														    ">
																<?php echo $va;?>
															</a>
														<?php
														}
														$Consultados_filas_cuenta ++;
													}

													if($ocultoporexeso=='si'){
															//oculta los resultados posteriores al numero 50 para evitar formularios confusos
															echo "</div>";
													}

													if(isset($Opcionespostergadas)){
														echo "<br><a ";?>onclick="this.nextSibling.style.display='block';"<?php echo ">ms (de otro tipo)-></a>";
														echo "<div class='dato' style='display:none;'>";
														foreach($Opcionespostergadas as $rowid => $rownombre){
															?>
															 <a 
														    title='<?php echo $rownombre;?>'
															
														   	ondblclick="window.location='./agrega_f.php?accion=cambia&tabla=<?php echo $tablapadre;?>&id=<?php echo $rowid;?>';"												   
														    onclick="
														    	document.getElementById('<?php echo $row['Field'];?>-n').value = '<?php echo $rownombre;?>';
														    	document.getElementById('<?php echo $row['Field'];?>').value = '<?php echo $rowid;?>'
														    ">
																<?php echo $rownombre;?>
															</a>
															<?php
														}
														
														echo "</div>";
														unset($Opcionespostergadas);
													}
													
													
													/* variante select 
													echo "<select name='".$row['Field']."'>";
													echo "<option value=''>-elegir-</option>";
													
													while($Consultados_filas_cuenta < $Consultados_filas){
														$v = mysql_result($Consultados, $Consultados_filas_cuenta, 'nombre');
														$idv = mysql_result($Consultados, $Consultados_filas_cuenta, 'id');
														if($contenido == $idv)
														{$selecta = "selected='yes'";}
														else{$selecta = "";}	
													    echo "<option value='" . $idv . "'" . $selecta . ">". $v . "</option>";
														$Consultados_filas_cuenta ++;
													}
													echo "</select>";		
													 
													*/							
													
												}
											}	
										}else{
											$empaquetado --;
											$borradato="si";
										}
									}
								}elseif($row['Field'] == "id_p_paneles_id_nombre"){
									echo "<input ".$row['habilitado']." type='hidden' name='id_p_paneles_id_nombre' value='".$PanelI."'>";
									$empaquetado --;
									$borradato="si";
								}else{
									$empaquetado --;
									$borradato="si";
								}

								
								/*print_r($row);*/
								if($borradato!="si"){
								echo "</div>";	
								}
								$empaquetado ++;
								if($empaquetado > 5){
									echo "</div>";
									$empaquetado = -100;
								}
					        }
					    }
	
						?>
						
					
						
					</div>	
							
					<input type="submit" value="<?php echo $AccionNom;?>">
					<input type="reset" value="Reiniciar" onclick='window.location=window.location'>					
					<input type="button" value="Cancelar" onclick="window.location.href='./<?php echo $Salida;?>.php?tabla=<?php echo $Tabla;?>&salida=<?php echo $Salida;?>&salidatabla=<?php echo $Salidatabla;?>';">
					
					<?php
					if($Campo==''||$EliminarHabilitado=='si'){
						$nget=$_GET;
						unset($nget['accion']);
						foreach($nget as $k => $v){
							$gets.="&$k=$v";
						}
						echo "<input type='button' value='Eliminar' ";
							echo "onclick='window.location.href = \"./agrega_f.php?accion=borra".$gets."\";'";
						echo ">";
						
					}
					?>
				</form>
			</div>
	
	<?php
		}
elseif($Accion == "borra"){
	?>
			<div id="marco">
				<form action="./<?php echo $Href;?>" method="POST">
					<input type="hidden" name="tabla" value="<?php echo $Tabla;?>">
					<input type="hidden" name="contrato" value="<?php echo $Id_contrato;?>">
					<input type="hidden" name="id" value="<?php echo $Id;?>">
					<input type="hidden" name="accion" value="<?php echo $Accion;?>">
					<input type="hidden" name="tablahermana" value="<?php echo $Tablahermana;?>">
					<input type="hidden" name="idhermana" value="<?php echo $Idhermana;?>">
					<input type="hidden" name="salida" value="<?php echo $Salida;?>">
					<input type="hidden" name="salidaid" value="<?php echo $Salidaid;?>">					
					<input type="hidden" name="salidatabla" value="<?php echo $Salidatabla;?>">	
					<h1><?php echo $Accion . " " . $Tabla;?></h1>
					<input type="submit" value="<?php echo $Accion;?>">	
					<div id="hoja">	
			
						<?php	
						foreach($PASAR as $k => $v){
							echo '<input type="hidden" name="'.$k.'" value="'.$v.'">';
						}
						
					    $result = mysql_query('SHOW FULL COLUMNS FROM `'.$Tabla.'`');
					    if (mysql_num_rows($result) > 0) {		    	
							
					        while ($row = mysql_fetch_assoc($result)) {
					 	
					        	$contenido = mysql_result($Consulta, 0, $row['Field']);
		
								if($Accion == "agrega"){$contenido = "";}					
								echo '<div class="campo">';	
									$i=substr($row['Field'],0,2);
									echo $row['Comment']. " ".$contenido;
								echo '</div>';	
					        }					        
					    }
					?>
						
					</div>	
									
				</form>
			</div>
	
	
	
	<?php	
	}


	?>	
	
	
</body>




<script type="text/javascript">

	function cambiame() 
{ 
    window.open("","ventanita","width=800,height=600,toolbar=0"); 
    var o = window.setTimeout("document.form1.submit();",500); 
}

	function cambiametb() 
{ 
    window.open("","ventanitatb","width=800,height=600,toolbar=0"); 
    var o = window.setTimeout("document.form1.submit();",500); 
}  

function include(arr, obj) {
    for(var i=0; i<arr['n'].length; i++) {
        if (arr['n'][i] == ob){ return arr['id'][i];}
        else {return 'n';}
    }
}

function includes(_arr, obj) {
    return 'n';
}

function alterna(_id, _estado){
	if(_estado==false){
		document.getElementById(_id).value='0';
	}else if(_estado==true){
		document.getElementById(_id).value='1';
	}
}


</script>
