<?php 
/**
* comunicaciones_consulta.php
*
* comunicaciones_consulta.php se incorpora en la carpeta raiz como una funcin complementaria bsica 
* para aquellas aplicaciones que consultan el listado de comunicaciones emitidas o redactadas 
* contiene una nica funcin que realiza una bsqueda y evalua los resultados devolviendo un array.
* 
* @package    	TReCC(tm) paneldecontrol.
* @subpackage 	documentos
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2013 2014 TReCC SA
* @license    	http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 (GPL-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm) y TReCC(tm) intraTReCC.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU General Public License" 
* publicada por la Free Software Foundation, version 3
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/


/**
* realiza una bsqueda de todas comunicaciones en la base de datos para el panel activo y debuelve una array desordenado
* @param string='todos' incluye en el resultado comunicaciones enviadas a la papelera
* @global string $Base base de datos mysql de trabajo
* @global array $config configuracion del panel activo
* @global int $PanelI id del panel activo
* @return array organizado y ordenado con el resultado de la bsqueda conteniendo los datos bsicos de la comunicacin, y arrays con estados y respuestas
* @global array $ACUM VALORES ACUMULADOS PARA GRAFICOS ESTADSITCOS
**/
function comunicacionenconsultaTOT($BORR){
	global $PanelI, $config, $Base; //entorno 
	global $Hoy; //input 
	global $ACUM, $Grupos;	 //output
	
	$Modulo = 'COM';
	
	$query="
		SELECT 
			`grupos`.`id`,
		    `grupos`.`nombre`,
		    `grupos`.`codigo`,
		    `grupos`.`orden`,
		    `grupos`.`responsable`,
		    `grupos`.`n_id_local`,
		    `grupos`.`tipo`,
		    `grupos`.`descripcion`
		FROM 
			$Base.`grupos`
			WHERE id_p_paneles_id_nombre='$PanelI'

	";	
	$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);
	echo mysql_error($_SESSION['panelcontrol']->Conec1);
	//echo "query: ".$query;
	
	while($row = mysql_fetch_assoc($consulta)){		
		$Grupos[$row['id']]=$row;
	}
	
	
	if($BORR=='todos'){
		$B="(comunicaciones.zz_borrada='0' OR comunicaciones.zz_borrada='1')";
	}else{
		$B="comunicaciones.zz_borrada='0'";
	}				
		
	$query="
		SELECT 
			`comunicaciones`.`id`,
		    `comunicaciones`.`sentido`,
		    `comunicaciones`.`requerimiento`,
		    `comunicaciones`.`requerimientoescrito`,
		    `comunicaciones`.`fechaemisionref`,
		    `comunicaciones`.`fechaemision`,
		    `comunicaciones`.`fecharecepcion`,
		    `comunicaciones`.`fechainicio`,
		    `comunicaciones`.`fechaobjetivo`,
		    `comunicaciones`.`ident`,
		    `comunicaciones`.`identdos`,
		    `comunicaciones`.`identtres`,
		    `comunicaciones`.`cerrado`,
		    `comunicaciones`.`cerradodesde`,
		    `comunicaciones`.`id_p_paneles_id_nombre`,
		    `comunicaciones`.`nombre`,
		    `comunicaciones`.`preliminar`,
		    `comunicaciones`.`relevante`,
		    `comunicaciones`.`id_p_grupos_id_nombre_tipoa`,
		    `comunicaciones`.`id_p_grupos_id_nombre_tipob`,
		    `comunicaciones`.`zz_borrada`,
		    `comunicaciones`.`zz_borradafecha`,
		    `comunicaciones`.`zz_borradausuario`,
		    `comunicaciones`.`zz_reg_fecha_emision`
		    
		FROM 
			$Base.comunicaciones 						
		WHERE 
			comunicaciones.id_p_paneles_id_nombre = '$PanelI'
			AND $B					
	";
	$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);
	echo mysql_error($_SESSION['panelcontrol']->Conec1);
	//echo "query: ".$query;
	
	$documentosasociados = consultaversionesdereferencia();
		
	while($row = mysql_fetch_assoc($consulta)){
		$resultado[$row['id']]=$row;
		$resultado[$row['id']]['respuestas']=array();
		$resultado[$row['id']]['origenes']=array();
		$resultado[$row['id']]['adjuntos']=array();
		$resultado[$row['id']]['documentosasociados']['asociados']=array();		
		$resultado[$row['id']]['documentosasociados']['presentados']=array();
		
			if($row['id_p_grupos_id_nombre_tipoa']==''){
				//echo "<br>a: ".$row['id'];
			}
			
			
			if($row['id_p_grupos_id_nombre_tipob']==''){
				//echo "<br>b: ".$row['id'];
			}
		
		$gn='';
		$gc='';
		if(isset($Grupos[$row['id_p_grupos_id_nombre_tipoa']])){
			$gn=	utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipoa']]['nombre']);
			$gc=	utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipoa']]['codigo']);
		}				
		$resultado[$row['id']]['grupoa']=$gn;
		$resultado[$row['id']]['grupoacod']=$gc;
		
		$gn='';
		$gc='';
		if(isset($Grupos[$row['id_p_grupos_id_nombre_tipob']])){
			$gn=	utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipob']]['nombre']);
			$gc=	utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipob']]['codigo']);
		}								

		$resultado[$row['id']]['grupob']=$gn;
		$resultado[$row['id']]['grupobcod']=$gc;
		
		if($row['preliminar']=='extraoficial'){$o='x';}else{$o='';}
		
		// incorpora al array un nombre que incluye el prefijo generado	
		$PREN['entrante']=$config['com-entra-preN'.$o];
		$PREN['saliente']=$config['com-sale-preN'.$o];
		$resultado[$row['id']]['falsonombre']=$PREN[$row['sentido']].$row['ident'];		
		
		//define el status de la comunicacin en abierta o cerrado
		if($row['cerrado']=='si'){
			$resultado[$row['id']]['status']='cerrada';
		}else{
			$resultado[$row['id']]['status']='abierta';
		}	
		
		if(isset($documentosasociados[$row['id']])){
			$resultado[$row['id']]['documentosasociados']=$documentosasociados[$row['id']];	
		}

		
		
		if(!validaracceso($row['id_p_grupos_id_nombre_tipob'],$row['id_p_grupos_id_nombre_tipoa'])){
			unset($resultado[$row['id']]);
		}

	}
	//print_r($resultado);
	// consulta documentos adjuntos
	
	$query="		
		SELECT 
			COMdocumentos.*,
			COMdocumentos.id_p_comunicaciones_id as idcom
		FROM 
			$Base.COMdocumentos
		WHERE
			(COMdocumentos.zz_AUTOPANEL = '$PanelI'
			OR COMdocumentos.zz_AUTOPANEL = '-1')
			AND COMdocumentos.zz_borrada='no'
	";

	$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);
	//echo $query;
	echo mysql_error($_SESSION['panelcontrol']->Conec1);
	while($row = mysql_fetch_assoc($consulta)){
		if($row['id']!=''&&isset($resultado[$row['idcom']])){	
					//echo " rowfiltrada ";
			$r=$row;
			$r['FI_nombreorig']=utf8_encode($row['FI_nombreorig']);
			$r['descripcion']=utf8_encode($row['descripcion']);
			$resultado[$row['idcom']]['adjuntos'][]=$r;
		}
	}	


	
	/* consulta lista de estados */
	$query="
		SELECT 
			`comunestadoslista`.`id`,
		    `comunestadoslista`.`id_p_paneles_id_nombre`,
		    `comunestadoslista`.`estadio` as estadio,
		    `comunestadoslista`.`descripcion`,
		    `comunestadoslista`.`id_p_responsables_id_nombre`,
		    `comunestadoslista`.`sentido`,
		    `comunestadoslista`.`id_p_responsables_id_nombre_alerta`,
		    `comunestadoslista`.`orden`,
		    `comunestadoslista`.`requeridodefecto`,
		    `comunestadoslista`.`id_p_grupos_id_nombre`,
		    `comunestadoslista`.`zz_AUTOPANEL`
		FROM $Base.`comunestadoslista`			
		WHERE 
			 id_p_paneles_id_nombre = '$PanelI' 
	";
	$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);		
	echo mysql_error($_SESSION['panelcontrol']->Conec1);
	while($row = mysql_fetch_assoc($consulta)){
			$Listadeestados[$row['id']]=$row;
	}	
		
	$query="		
		SELECT 
			`comunestados`.`id`,
		    `comunestados`.`id_p_comunicaciones_id_nombre`,
		    `comunestados`.`id_p_comunestadoslista`,
		    `comunestados`.`desde`,
		    `comunestados`.`pordefecto`,
		    `comunestados`.`zz_AUTOPANEL`
		FROM $Base.`comunestados`
		WHERE 
			zz_AUTOPANEL = '$PanelI'
			ORDER BY desde 
	";
	$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);			
	echo mysql_error($_SESSION['panelcontrol']->Conec1);		
	while($row = mysql_fetch_assoc($consulta)){
		if(isset($resultado[$row['id_p_comunicaciones_id_nombre']])){
			if(isset($Listadeestados[$row['id_p_comunestadoslista']]['sentido'])){
			if($Listadeestados[$row['id_p_comunestadoslista']]['sentido']==$resultado[$row['id_p_comunicaciones_id_nombre']]['sentido']){
				//$resultado[$row['id_p_comunicaciones_id_nombre']]['estados'][]=array_merge($row,$Listadeestados[$row['id_p_comunestadoslista']]);
					
				if(!isset($resultado[$row['id_p_comunicaciones_id_nombre']]['emision'])){					
					$resultado[$row['id_p_comunicaciones_id_nombre']]['emision']=$row['desde'];
					
					if($row['desde']!=$resultado[$row['id_p_comunicaciones_id_nombre']]['zz_reg_fecha_emision']){
						$query="	
						UPDATE `paneles`.`comunicaciones`
						SET `zz_reg_fecha_emision` = '".$row['desde']."'
						WHERE `id` = '".$row['id_p_comunicaciones_id_nombre']."'
						";
						mysql_query($query ,$_SESSION['panelcontrol']->Conec1);		
					}
				}
				
				if($Listadeestados[$row['id_p_comunestadoslista']]['requeridodefecto']=='1'){
					$resultado[$row['id_p_comunicaciones_id_nombre']]['recepcion']=$row['desde'];
					$r='requerido';
				}else{
					$r='norequerido';
				}
				
				$resultado[$row['id_p_comunicaciones_id_nombre']]['estados'][$row['id']]['nombre']=$Listadeestados[$row['id_p_comunestadoslista']]['estadio'];
				$resultado[$row['id_p_comunicaciones_id_nombre']]['estados'][$row['id']]['desde']=$row['desde'];
				$resultado[$row['id_p_comunicaciones_id_nombre']]['estados'][$row['id']]['requerido']=$r;
			}
			}
		}		
	}	



	$query="
		SELECT 
			`comunicacioneslinkrespuestas`.`id`,
			`comunicacioneslinkrespuestas`.`id_p_comunicaciones_id_nombre_origen`,
			`comunicacioneslinkrespuestas`.`id_p_comunicaciones_id_nombre_respuesta`,
			`comunicacioneslinkrespuestas`.`zz_AUTOPANEL`
			FROM 
			$Base.`comunicacioneslinkrespuestas`
			WHERE zz_AUTOPANEL='$PanelI'
	";
	$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);		
	//echo $query;
	echo mysql_error($_SESSION['panelcontrol']->Conec1);


	while($row = mysql_fetch_assoc($consulta)){
		if(
			isset($row['id_p_comunicaciones_id_nombre_origen'])
			&&
			isset($row['id_p_comunicaciones_id_nombre_respuesta'])
		){//verifica que l registro de link est completo
			
			//verifica que los objetos a linkear estn diponibles
			if(
				isset($resultado[$row['id_p_comunicaciones_id_nombre_respuesta']])
				&&
				isset($resultado[$row['id_p_comunicaciones_id_nombre_origen']])
			){
							
				//inserta el vnculo a su objeto de origen  
				$res=$resultado[$row['id_p_comunicaciones_id_nombre_respuesta']];				
				$rta['ident']=utf8_encode($res['ident']);
				$rta['identdos']=utf8_encode($res['identdos']);
				$rta['identtres']=utf8_encode($res['identtres']);
				$rta['nombre']=utf8_encode($res['nombre']);
				$rta['linkid']=$row['id'];
				$rta['cerrado']=$res['cerrado'];
				if(!isset($res['emision'])){$res['emision']='0000-00-00';}				
				$rta['emision']=$res['emision'];
				$rta['sentido']=$res['sentido'];
				$rta['falsonombre']=utf8_encode($res['falsonombre']);
				$rta['status']=$res['status'];					
				$resultado[$row['id_p_comunicaciones_id_nombre_origen']]['respuestas'][$row['id_p_comunicaciones_id_nombre_respuesta']]=$rta;
				
				unset($res);
				//inserta el vnculo a su objeto de destino	
				$res=$resultado[$row['id_p_comunicaciones_id_nombre_origen']];				
				$ori['ident']=utf8_encode($res['ident']);
				$ori['identdos']=utf8_encode($res['identdos']);
				$ori['identtres']=utf8_encode($res['identtres']);
				$ori['nombre']=utf8_encode($res['nombre']);
				$ori['linkid']=$row['id'];
				$ori['cerrado']=$res['cerrado'];				
				$ori['emision']=$res['emision'];
				$ori['sentido']=$res['sentido'];
				$ori['falsonombre']=utf8_encode($res['falsonombre']);
				$ori['status']=$res['status'];
				$resultado[$row['id_p_comunicaciones_id_nombre_respuesta']]['origenes'][$row['id_p_comunicaciones_id_nombre_origen']]=$ori;
				//echo "____";
				//if($row['id']=='658'){echo $row['id_p_comunicaciones_id_nombre_origen']; print_r($res);}
				//echo $row['id'].",";																
			}	
		}
	}	
	//print_r($resultado);break;

	$primerfecha=$Hoy;
	$ultimafecha=$Hoy;
	
	foreach($resultado as $id => $row){
		if(isset($row['emision'])){
			if($row['emision']>0){
				$primerfecha=min($primerfecha,$row['emision']);
			}
		}
		if(isset($row['cerradodesde'])){
			$ultimafecha=max($ultimafecha,$row['cerradodesde']);
		}
	}
	$fecharas=$primerfecha;
	//echo "<pre>";print_r($resultado);echo "</pre>";
	

	
	while($fecharas<=$ultimafecha){
		$fecharas=sumadias($fecharas,7);
		$EmSal=0;
		$EmEnt=0;
		$AcSal=0;
		$AcEnt=0;
		
		foreach($resultado as $id => $row){
						
			if(!isset($row['sentido'])){
				echo "- $id - ";
				print_r($row);
				break;
			}
			
			if(isset($row['emision'])){$em=$row['emision'];}
			if(isset($em)){
			if($em<=$fecharas){
				if($row['sentido']=='saliente'){
					$EmSal++;
				}elseif($row['sentido']=='entrante'){
					$EmEnt++;	
				}
					
				$fechas[$fecharas]=$fecharas;
				if($row['cerradodesde']>=$fecharas||$row['cerrado']=='no'){	
					if($row['sentido']=='saliente'){
					$AcSal++;
					}elseif($row['sentido']=='entrante'){
					$AcEnt++;	
					}
				}
			}
			}
		}	


		$ACUM['emitidos']['saliente'][$fecharas]=$EmSal;
		$ACUM['emitidos']['entrante'][$fecharas]=$EmEnt;
		$ACUM['abiertos']['saliente'][$fecharas]=$AcSal;
		$ACUM['abiertos']['entrante'][$fecharas]=$AcEnt;

	}


	comunicacionesPANestadisticasCargar($ACUM);

	
	return $resultado;	

}

/**
* realiza una bsqueda de todas comunicaciones en la base de datos para el panel activo y debuelve una array desordenado
* @global string $Base base de datos mysql de trabajo
* @global array $config configuracion del panel activo
* @global int $PanelI id del panel activo
* @return array organizado y ordenado con el resultado de la bsqueda conteniendo los datos bsicos de la comunicacin, y arrays con estados y respuestas
* @global array $ACUM VALORES ACUMULADOS PARA GRAFICOS ESTADSITCOS
*/
function comunicacionesPANestadisticasCargar($ACUM){
	global $PanelI, $config, $Base; //entorno 

	$micro_date = microtime(true);
	
	$Millidate=$micro_date*1000;
	/*
	$date_array = explode(" ",$micro_date);
	
	$Millidate = $date_array[1]*1000+round($date_array[0]*1000);	*/
	if(isset($_SESSION['panelcontrol'] -> McTi_Rcom)){
		$smc=$_SESSION['panelcontrol'] -> McTi_Rcom;
		unset($_SESSION['panelcontrol'] -> McTi_Rcom);	
	}else{$smc=0;}
	
	$mc=0;
	if($smc>1453750000){$mc=microtime(true)-$smc;echo "<p>mT consulta: $mc</p>";}
	if($mc>60*60*1000000){unset($mc);}
	
	$query = "
	INSERT INTO 
		`paneles`.`PANestadisticasCOM`
	SET
	
	`zz_AUTOPANEL`='".$PanelI."',
	`fechahora`='".$Millidate."',
	`ano`='".date("Y")."',	
	`mes`='".date("m")."',	
	`totsalientes`='".end($ACUM['emitidos']['saliente'])."',
	`totentrantes`='".end($ACUM['emitidos']['entrante'])."',
	`pendsalientes`='".end($ACUM['abiertos']['saliente'])."',
	`pendentrentes`='".end($ACUM['abiertos']['entrante'])."',
	zz_microtiempo='".$mc."',
	zz_server='".$_SERVER['HTTP_HOST']."'
	";
	//echo $query;
	mysql_query($query,$_SESSION['panelcontrol']->Conec1);
	echo mysql_error($_SESSION['panelcontrol']->Conec1);
}



//*DEPRECATED, Eta funcin habra sido reemplazada por comunicacionenconsultaTOT, realizndose las tareas de filtro a posteriori. falta verificar que no sea llamada.
/**
* realiza una bsqueda de comunicaciones en la base de datos
*
* @param string $BUSQUEDA texto a bustar dentro de la descripcin
* @param string $SENTIDO string 'entrante'|'salientes'|'todas' define el filtro por tipo de comunicacin 
* @param string $CERRADAS string 'todas'|'' define el filtro para comunicaciones cerradas 
* @param string $GRUPOA int 'todas'|id define un filtro por grupo en el campo id_p_grupos_id_nombre_tipoa
* @param string $GRUPOB int 'todas'|id define un filtro por grupo en el campo id_p_grupos_id_nombre_tipob
* @param string $ORDEN1 string define el nombre del key del array para el primer criterio de orden
* @param string $ORDEN2 string define el nombre del key del array para el segundo criterio de orden  
* @param string $ORDEN3 string define el nombre del key del array para el tercero criterio de orden
* @param string $DESDE date PENDIENTE: define el un filtro por fecha de emisin menor a
* @param string $DESDE date PENDIENTE: define el un filtro por fecha de emisin mayor a
* @param string $RELEVANTES string (si/no/''): filtra segn relevancia
* @return array organizado y ordenado con el resultado de la bsqueda conteniendo los datos bsicos de la comunicacin, y arrays con estados y respuestas
*/
function comunicacionenconsulta($BUSQUEDA,$SENTIDO,$CERRADAS,$GRUPOA,$GRUPOB,$ORDEN1,$ORDEN2,$ORDEN3,$DESDE,$HASTA,$RELEVANTES){

	global $PanelI, $config, $Base;

/*medicion de rendimiento lamp*/
	$starttimef = microtime(true);
	
		$query="
		SELECT 
			SELECT `grupos`.`id`,
			    `grupos`.`nombre`,
			    `grupos`.`codigo`,
			    `grupos`.`orden`,
			    `grupos`.`responsable`,
			    `grupos`.`n_id_local`,
			    `grupos`.`id_p_paneles_id_nombre`,
			    `grupos`.`tipo`,
			    `grupos`.`descripcion`,
			    `grupos`.`zz_AUTOPANEL`,
			    `grupos`.`zz_AUTOIDCOPIA`
			FROM `paneles`.`grupos`
			WHERE 
				zz_AUTOPANEL ='$PanelI'
		";
		$ConGrup=mysql($query ,$_SESSION['panelcontrol']->Conec1);
		echo mysql_error($_SESSION['panelcontrol']->Conec1);
		while($row = mysql_fetch_assoc($ConGrup)){
			$Grupos[$row['id']]=$row;			
		}
		
		

		if($BUSQUEDA!=''){
			$WHEREBUSQUEDA=" AND comunicaciones.descripcion LIKE '%".$BUSQUEDA."%' ";	
			$extracampos=',
			`comunicaciones`.`descripcion` as descripcion';
		}else{$WHEREBUSQUEDA="";}

		if($SENTIDO=='todas'){
			$WHERESENTIDO="";	
		}elseif($SENTIDO=='entrantes'){
			$WHERESENTIDO=" AND comunicaciones.sentido = 'entrante' ";
		}elseif($SENTIDO=='salientes'){
			$WHERESENTIDO=" AND comunicaciones.sentido = 'saliente' ";
		}			
	
		if($CERRADAS=='todas'){
			$WHERECERRADAS="";	
		}else{
			$WHERECERRADAS="AND comunicaciones.cerrado != 'si'";
		}		
		
		if($GRUPOA=='todas'){
			$WHEREGRUPOA="";
		}elseif($GRUPOA==''){
			$WHEREGRUPOA="AND comunicaciones.id_p_grupos_id_nombre_tipoa is null";		
		}else{
			$WHEREGRUPOA="AND comunicaciones.id_p_grupos_id_nombre_tipoa = '".$GRUPOA."'";
		}			
		
		if($GRUPOB=='todas'){
			$WHEREGRUPOB="";
		}elseif($GRUPOB==''){
			$WHEREGRUPOB="AND comunicaciones.id_p_grupos_id_nombre_tipob is null";		
		}else{
			$WHEREGRUPOB="AND comunicaciones.id_p_grupos_id_nombre_tipob = '".$GRUPOB."'";
		}			
		
		if($RELEVANTES!==''){
			$WHERERELEV="";
		}else{
			$WHERERELEV="AND comunicaciones.relevante = '$RELEVANTES'";		
		}	


		if($DESDE!=''||$HASTA!=''){
			
			if($DESDE!=''){
				$WHEREFECHAS.="AND desde >= '$DESDE'";
			}
			if($HASTA!=''){
				$WHEREFECHAS="AND desde <= '$HASTA'";		
			}
			
			$extracampos.=",
				fechasFiltro.desde as fechaFiltro,
				fechasFiltro.id as fechaFiltroId";
			$extraJoin ="LEFT JOIN 
					(
					SELECT
						`comunestados`.id,
	    				`comunestados`.`id_p_comunicaciones_id_nombre`,
					    `comunestados`.`desde`
					FROM `paneles`.`comunestados`
					WHERE 
						zz_AUTOPANEL='$PanelI'
						$WHEREFECHAS
					GROUP BY id_p_comunicaciones_id_nombre
					) as fechasFiltro
					
					ON fechasFiltro.id_p_comunicaciones_id_nombre = comunicaciones.id
					";
					 
			
			$WHEREFECHAFILTRO .="AND fechasFiltro.id is not null";		
		}
									
							
		$where = " $WHEREBUSQUEDA $WHERESENTIDO $WHERECERRADAS $WHEREGRUPOA $WHEREGRUPOB $WHERERELEV $WHEREFECHAFILTRO";
	
	/* consulta todas las comunicaciones previos a la fecha lmite de reporte ($Freportehasta) */	
		$query="
			SELECT 
				comunicaciones.id as id,
				comunicaciones.sentido as sentido,
				comunicaciones.requerimiento as requerimiento,
				comunicaciones.fechainicio as fechainicio,
				comunicaciones.fechaobjetivo as fechaobjetivo,
				comunicaciones.cerrado as cerrado,
				comunicaciones.cerradodesde as cerradodesde,
				comunicaciones.id_p_paneles_id_nombre as id_p_paneles_id_nombre,
				comunicaciones.nombre as nombre,
				comunicaciones.preliminar as preliminar,
				comunicaciones.relevante as relevante,				
				comunicaciones.id_p_grupos_id_nombre_tipoa as id_p_grupos_id_nombre_tipoa,			
				comunicaciones.id_p_grupos_id_nombre_tipob as id_p_grupos_id_nombre_tipob,					
				comunicaciones.zz_borrada as zz_borrada,
				comunicaciones.zz_reg_fecha_emision,
				comunicaciones.ident as ident,
				comunicaciones.identdos as identdos,
				comunicaciones.identtres as identtres,
				comresp.id as crid,
				comunicacioneslinkrespuestas.id as crlinkid,
				comresp.ident as crident,
				comresp.identdos as cridentdos,
				comresp.cerrado as crcerrado,			
				comunicacioneslinkrespuestas.id_p_comunicaciones_id_nombre_respuesta as crid_p_comunicaciones_id_nombre_respuesta,
				comresp.nombre as crnombre,
				COMdocumentos.hayadjunto".$extracampos."
				
				FROM 
					comunicaciones 	
						
				LEFT JOIN comunicacioneslinkrespuestas
					ON comunicacioneslinkrespuestas.id_p_comunicaciones_id_nombre_origen = comunicaciones.id 					
					
				LEFT JOIN
					(SELECT * FROM comunicaciones WHERE comunicaciones.id_p_paneles_id_nombre = '$PanelI' AND comunicaciones.zz_borrada='0') as comresp
					ON comresp.id = comunicacioneslinkrespuestas.id_p_comunicaciones_id_nombre_respuesta
					
				LEFT JOIN
					(SELECT 'si' as hayadjunto, id_p_comunicaciones_id FROM COMdocumentos WHERE zz_AUTOPANEL='$PanelI' AND zz_borrada = 'no' GROUP BY id_p_comunicaciones_id ) as COMdocumentos
					ON COMdocumentos.id_p_comunicaciones_id = comunicaciones.id	

				
				$extraJoin
				
				WHERE comunicaciones.id_p_paneles_id_nombre = '$PanelI'
				AND comunicaciones.zz_borrada='0'				
											
				$where
				
				ORDER BY ident DESC

		";
		
		
		//echo $query."<br>";
		$consulta=mysql("$Base",$query ,$_SESSION['panelcontrol']->Conec1);
		echo mysql_error($_SESSION['panelcontrol']->Conec1);
		//echo "query: ".$query;
		//echo mysql_num_rows($consulta);
		
		if(mysql_num_rows($consulta)==0){			
			return null;
		}
		
		
		$documentosasociados = consultaversionesdereferencia();
		
		
		while($row = mysql_fetch_assoc($consulta)){
							
						
			
				
			
			if($row['id_p_grupos_id_nombre_tipoa']==''){
				//echo "<br>a: ".$row['id'];
			}
			if($row['id_p_grupos_id_nombre_tipob']==''){
				//echo "<br>b: ".$row['id'];
			}
			
			// genera el array con los resultados de la consulta 
			if(!isset($resultado[$row['id']])){
				$resultado[$row['id']]=$row;		
			}		
			
			
			$resultado[$row['id']]['grupob']=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipob']]['nombre']);
			$resultado[$row['id']]['grupobcod']=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipob']]['codigo']);
			
			$resultado[$row['id']]['grupoa']=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipoa']]['nombre']);
			$resultado[$row['id']]['grupoacod']=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipoa']]['codigo']);

			if($row['cerrado']=='si'){
				$resultado[$row['id']]['status']='cerrada';
			}else{
				$resultado[$row['id']]['status']='abierta';
			}		
				
			// obtiene de la configuracin los prefijos para cada comunicacion 
			if($row['preliminar']=='extraoficial'){$o='x';}else{$o='';}
			
			// incorpora al array un nombre que incluye el prefijo generado	
			$PREN['entrante']=$config['com-entra-preN'.$o];
			$PREN['saliente']=$config['com-sale-preN'.$o];
			$resultado[$row['id']]['falsonombre']=$PREN[$row['sentido']].$row['ident'];			
			
			if($row['crid']!=''){
				$resultado[$row['id']]['respuestas'][$row['crid']]['ident']=$row['crident'];
				$resultado[$row['id']]['respuestas'][$row['crid']]['nombre']=$row['crnombre'];			
				$resultado[$row['id']]['respuestas'][$row['crid']]['linkid']=$row['crlinkid'];
				$resultado[$row['id']]['respuestas'][$row['crid']]['identdos']=$row['cridentdos'];
				$resultado[$row['id']]['respuestas'][$row['crid']]['cerrado']=$row['crcerrado'];	
				$resultado[$row['id']]['respuestas'][$row['crid']]['emision']=$row['cremision'];				
			}
			
			unset($resultado[$row['id']]['crid']);
			unset($resultado[$row['id']]['crlinkid']);	
			unset($resultado[$row['id']]['crident']);						
			unset($resultado[$row['id']]['cridentdos']);		
			unset($resultado[$row['id']]['crcerrado']);		
			unset($resultado[$row['id']]['crid_p_comunicaciones_id_nombre_respuesta']);
			unset($resultado[$row['id']]['crnombre']);	
			
			$resultado[$row['id']]['documentosasociados']=$documentosasociados[$row['id']];
			
		}

		// consulta documentos adjuntos
		$query="		
			SELECT 
				comunicaciones.id as idcom, 	
				COMdocumentos.*
			FROM 
				comunicaciones 	
			LEFT JOIN
				COMdocumentos 
				ON COMdocumentos.id_p_comunicaciones_id = comunicaciones.id
			WHERE 
				comunicaciones.id_p_paneles_id_nombre = '$PanelI' 
				AND comunicaciones.zz_borrada='0'
				AND COMdocumentos.zz_borrada='no'
		";
		$consulta=mysql("$Base",$query ,$_SESSION['panelcontrol']->Conec1);
		//echo $query;
		//echo mysql_error($_SESSION['panelcontrol']->Conec1);
		while($row = mysql_fetch_assoc($consulta)){
			//echo " row".$row['id']." ";
			if($row['id']!=''&&isset($resultado[$row['idcom']])){
				//echo " rowfiltrada ";
				$r=$row;
				$r['FI_nombreorig']=utf8_encode($row['FI_nombreorig']);
				$r['descripcion']=utf8_encode($row['descripcion']);
				$resultado[$row['idcom']]['adjuntos'][]=$r;
			}
		}	

		/* consulta de estados */
		$query="
			SELECT 
				comunicaciones.id as comid,
				comunestadoslista.id as estadoid,
				comunestadoslista.estadio as estadio,
				comunestados.desde as desde,
				if(comunestadoslista.requeridodefecto = '1','requerido','norequerido') as requerido
				
				FROM
					comunicaciones
					
				LEFT JOIN
					comunestadoslista
					ON comunestadoslista.id_p_paneles_id_nombre = comunicaciones.id_p_paneles_id_nombre
					AND comunicaciones.sentido = comunestadoslista.sentido
					
				LEFT JOIN
					comunestados
					ON comunestadoslista.id = comunestados.id_p_comunestadoslista
					AND comunestados.id_p_comunicaciones_id_nombre = comunicaciones.id
				
				$extraJoin
					
					$where
				
				WHERE 
					comunicaciones.id_p_paneles_id_nombre = '$PanelI' 
					AND comunicaciones.zz_borrada='0'
					
				ORDER BY 
					comunicaciones.id ASC,
					orden ASC
		";
		
		$consulta=mysql("$Base",$query ,$_SESSION['panelcontrol']->Conec1);
		
		//echo "HHH".mysql_num_rows($consulta);		
		//echo $query;
		echo mysql_error($_SESSION['panelcontrol']->Conec1);
		
		while($row = mysql_fetch_assoc($consulta)){
			if(isset($resultado[$row['comid']])){
					
				
	
					
					
				
				if(!isset($resultado[$row['comid']]['emision'])){					
					$resultado[$row['comid']]['emision']=$row['desde'];
				}
				
				if($row['requerido']=='requerido'){
					$resultado[$row['comid']]['recepcion']=$row['desde'];			
				}
				
				$estados[$row['comid']]['estados'][$row['estadoid']]['nombre']=$row['estadio'];
				$estados[$row['comid']]['estados'][$row['estadoid']]['desde']=$row['desde'];
				$estados[$row['comid']]['estados'][$row['estadoid']]['requerido']=$row['requerido'];		
			}	
		}
		
		foreach($resultado as $idcom => $datos){			
			$resultado[$idcom]['estados']=$estados[$idcom]['estados'];

			if($resultado[$idcom]['emision']!=$resultado[$idcom]['zz_reg_fecha_emision']){
				$query="	
				UPDATE `paneles`.`comunicaciones`
				SET `zz_reg_fecha_emision` = '".$resultado[$idcom]['emision']."'
				WHERE `id` = '$idcom'
				";
			}	
		}
		
		
		
		if($ORDEN1!=''){
			foreach ($resultado as $key => $row) {
				
				$orden['id_p_grupos_id_nombre_tipob'][$key]  = $row['id_p_grupos_id_nombre_tipob'];
				$orden['id_p_grupos_id_nombre_tipoa'][$key]  = $row['id_p_grupos_id_nombre_tipoa'];				
			    $orden['emision'][$key]  = $row['emision'];
			    $orden['recepcion'][$key]  = $row['recepcion'];
			    $orden['ident'][$key]  = $row['ident'];
			    $orden['identdos'][$key]  = $row['identdos'];
				$orden['cerradodesde'][$key]  = $row['cerradodesde'];	   
			}
			
			array_multisort($orden[$ORDEN1], SORT_DESC,$orden[$ORDEN2], SORT_ASC,$orden[$ORDEN3], SORT_ASC, $resultado);
		}
		
		return $resultado;	
}

function  variablesDisponibles(){
	
	global $PanelI, $config, $Base, $Hoy, $HabilitadoEdicion;

	$HOY = $Hoy;						
						
	$query ="SELECT * FROM ".$Base.".grupos WHERE zz_AUTOPANEL='".$PanelI."'";
	$consulta=mysql_query($query,$_SESSION['panelcontrol']->Conec1);
	echo mysql_error($_SESSION['panelcontrol']->Conec1);	
	while($row = mysql_fetch_assoc($consulta)){
		$Grupos[$row['id']]=$row;	
	}
					
	$a = comunicacionenconsultaTOT('');	
	
	foreach($a as $k => $datos){		
		$VAR['sentido'][$datos['sentido']]['cant']++;
		$VAR['cerradas'][$datos['cerrado']]['cant']++;
		$VAR['grupoa'][$datos['id_p_grupos_id_nombre_tipoa']]['cant']++;
		$VAR['grupoa'][$datos['id_p_grupos_id_nombre_tipoa']]['data']=$Grupos[$datos['id_p_grupos_id_nombre_tipoa']];				
		$VAR['grupob'][$datos['id_p_grupos_id_nombre_tipob']]['cant']++;
		$VAR['grupob'][$datos['id_p_grupos_id_nombre_tipob']]['data']=$Grupos[$datos['id_p_grupos_id_nombre_tipob']];									
	}	

return $VAR;
}


function comunicacionesformatogestion($BUSQUEDA,$SENTIDO,$CERRADAS,$GRUPOA,$GRUPOB,$ORDEN1,$ORDEN2,$ORDEN3,$DESDE,$HASTA,$ID){
	
	global $PanelI, $config, $Base, $Hoy, $HabilitadoEdicion;

	$HOY = $Hoy;						
						
	$resultado[0] = '<div class="fila titulo ">';
		$resultado[0] .= '<div class="origen">responde a:</div>';	
		$resultado[0] .= '<div class="seleccion"></div>';
		$resultado[0] .= '<div class="nombre">nombre</div>';
		$resultado[0] .= '<div class="descrip">descrip.</div>';
		$resultado[0] .= '<div class="tipo">tipo</div><div class="adjunto">A</div>';
		$resultado[0] .= '<div class="emision">redaccin</div>';
		$resultado[0] .= '<div class="recepcion">emisin</div>';
		$resultado[0] .= '<div class="cerradodesde">cierre</div>';		
		$resultado[0] .= '<div class="ids">';		
			$resultado[0] .= '<div class="id1">'.$config['com-ident'].'</div>';
			$resultado[0] .= '<div class="id2">('.$config['com-identdos'].')</div>';
		$resultado[0] .= '</div>';
		$resultado[0] .= '<div class="responder">rta?</div>';
		$resultado[0] .= '<div class="respuesta">respondida por:<br>';
		$resultado[0] .= '</div>';
	$resultado[0] .= '</div>';
				

	//$a = comunicacionenconsulta($BUSQUEDA,$SENTIDO,$CERRADAS,$GRUPOA,$GRUPOB,$ORDEN1,$ORDEN2,$ORDEN3,$DESDE,$HASTA);
	if($ID>0){$BORR='todos';}
	
	
	$a = comunicacionenconsultaTOT($BORR);	
	

	//echo "<pre>";print_r($a);echo "</pre>";	
	foreach($a as $k => $datos){		
		
		if($SENTIDO!='todas'&&$SENTIDO!=''&&$datos['sentido']!=$SENTIDO){
			unset($a[$k]);
			$Filtrados++;
		}elseif($CERRADAS=='no'&&$datos['cerrado']=='si'){
			unset($a[$k]);
			$Filtrados++;		
		}elseif($GRUPOA!='todas'&&$GRUPOA!=''&&$GRUPOA!='vacias'&&$datos['id_p_grupos_id_nombre_tipoa']!=$GRUPOA){
			unset($a[$k]);
			$Filtrados++;	
		}elseif($GRUPOA=='vacias'&&$datos['id_p_grupos_id_nombre_tipoa']!=''){
			unset($a[$k]);
			$Filtrados++;	
								
		}elseif($GRUPOB!='todas'&&$GRUPOB!=''&&$GRUPOB!='vacias'&&$datos['id_p_grupos_id_nombre_tipob']!=$GRUPOB){
			unset($a[$k]);
			$Filtrados++;
		}elseif($GRUPOB=='vacias'&&$datos['id_p_grupos_id_nombre_tipob']!=''){
			unset($a[$k]);
			$Filtrados++;		
		}elseif($ID>0&&$datos['id']!=$ID){
			unset($a[$k]);
			$Filtrados++;			
		}
		
				
	}	
/*	if(isset($a['4839'])){
	echo "AAA";
}	*/
	echo "Filtrados: $Filtrados";

	
	if($BUSQUEDA!=''){
		$query="
			SELECT id FROM comunicaciones WHERE descripcion like '%$BUSQUEDA%' or nombre like '%$BUSQUEDA%' 
		";
		$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);		
		echo mysql_error($_SESSION['panelcontrol']->Conec1);
		while($row = mysql_fetch_assoc($consulta)){
			$Buscados[$row['id']]='1';
		}	
		
		foreach($a as $k => $datos){
			if(!isset($Buscados[$k])){
				unset($a[$k]);
			}
		}
	}

	foreach($a as $k => $datos){		
		$Listados[$datos['id']]='si';
	}
	
	if($ORDEN1!=''){
		foreach($a as $k => $datos){
				
			$orden[$ORDEN1][$k] = $datos[$ORDEN1];				    		
			array_multisort($orden[$ORDEN1], SORT_DESC, $a);
			
		}	
	}
		
		
	foreach($a as $k => $datos){
		if($datos['ident']==''||$datos['emision']==''){
			$elem[$k] = $datos;
			
			if($datos['emision']==''){
			$elem[$k]['emision']="<span class='alerta'>a emitir</span>";	;}
			
			if($datos['ident']==''){
			$elem[$k]['ident']="<span class='alerta'>a definir</span>";	
			$elem[$k]['falsonombre'].="<span class='alerta'>a definir</span>";	
			}					
			unset($a[$k]);
		}				
	}	



	if(count($elem)>0){
		$a=array_merge($elem,$a);		
	}
	
	
	if($HabilitadoEdicion!='si'){$Disableedicion="DISABLED='disabled'";} 
	
	$nOrden=0;
	foreach($a as $datos){
		$nOrden++;
		$id=$datos['id'];
		if($config['com-prefijo-grupo']=='primario'){
			$campogrupo="<span>".$datos['grupoacod']."</span>";
		}elseif($config['com-prefijo-grupo']=='secundario'){
			$campogrupo="<span>".$datos['grupobcod']."</span>";			
		}else{
			$campogrupo="";			
		}
		
		$nuevafila ="";
	
		$rtas=$datos['respuestas'];
		
		if(count($rtas)>3||count($datos['origenes'])>3){
			$h=round(max(count($rtas),count($datos['origenes']))*10);
			$st="style='height:".$h."px'";
		}else{
			$st="";
		}
		
			$nuevafila .= "<div id='fcn$id' class='fila ".$datos['status']."' name='".$datos['status']."'>";
				
				$nuevafila .= "<div $st class='contenido origen'>";
				
				foreach($datos['origenes'] as $oriid => $origen){

					$nuevafila .= "<div>";
					
						if(isset($Listados[$oriid])){
							$hrefYtarg="href='#fcn$oriid'";
						}else{
							$hrefYtarg="href='./comunicaciones_muestra.php?id=$oriid' target='recuadromuestra' onclick='document.body.scrollTop =0;'";
						}
						$nuevafila .= "<a $hrefYtarg ";
							$nuevafila .= "onmouseover='document.getElementById(&quot;fcn".$oriid."&quot;).style.backgroundColor=&quot;lightblue&quot;;'";
							$nuevafila .= "onmouseout='document.getElementById(&quot;fcn".$oriid."&quot;).setAttribute(\"style\",\"\")'>";
						
							$nuevafila .= "<div class='COMcomunicacion secundaria ".$origen['sentido']." ".$origen['status']."'>";
								if($origen['falsonombre']!=''){$on=$origen['falsonombre'];}else{$on="???";}
								$nuevafila .= $on;
							$nuevafila .= "</div>";
						$nuevafila .= "</a>";
						
						
						$href = "href='./comunicacionesrespuestar.php?accion=anular&id=".$origen['linkid']."&tabla=comunicacioneslinkrespuestas&salida=comunicaciones'";
						if($HabilitadoEdicion!='si'){$href='';}
						
						$nuevafila .= "<a target='_top' class='eliminar respuesta' title='quitar como origen' $href'";
						$nuevafila .= "><-</a>";	

							
						if($datos['emision']<$origen['emision']){$nuevafila .= "<div class='alerta'>origen posterior a la respueta ".$datos['emision'] ." vs ". $origen['emision']."</div>";}							
						
					$nuevafila .="</div>";	
				}
				
				if($HabilitadoEdicion=='si'&&$ID==0){
					//boton para vincular origen
					$nuevafila .= "<a id='' $Disableedicion name='cargarorigen' class='cargarorigen' title='sumar un origen' ";
					if($HabilitadoEdicion=='si'){
						$nuevafila .="onclick='";
							$nuevafila .="originarCom(\"$id\",\"".strip_tags($datos['falsonombre'])."\",\"".strip_tags($datos['emision'])."\");";	
						$nuevafila .="'";
					}
					$nuevafila .= "> <-+ "; 
					$nuevafila .= " </a>";	
				}
				
				$nuevafila .="</div>";			
				
				$nuevafila .= "<div class='contenido seleccion'>";
					if($HabilitadoEdicion=='si'){
						$nuevafila .= "<div name='selector' class='activo selector' iddoc='$id' docorden='".$nOrden."'";
							$nuevafila .= " onclick='multieditDOC(this,event,\"$id\",\"$id\",\"\");_ultimamarca=\"".$nOrden."\";'>";
						$nuevafila .= "</div>";
					}
					$nuevafila .= $campogrupo;
				
																	
					if( $datos['fechaobjetivo']<$HOY && $datos['cerrado']=='no' && $datos['requerimiento']=='si'){
						$nuevafila .= "<div class='banderaroja' title='la fecha de terminacin esperada se encuentra vencida ". $datos['fechaobjetivo']."'></div>";
					}
				
					if( $datos['cerrado']=="si (controlar)" ){
						$nuevafila .= "<div class='ojito' title='esta comunicacin an debe ser controlada'><img src='./img/ojo.png'></div>";
					}	
				$nuevafila .= "</div>";
				$link = "./agrega_fcom.php?tabla=comunicaciones&accion=cambia&id=$id&salida=comunicaciones&salidaid=$id";
				if($HabilitadoEdicion!='si'){$link='';}
				
	
				if($datos[zz_borrada]=='1'){$elimc='eliminada';$elimt='-Comnunicacin Eliminada- ';}else{$elimt=$elimc='';}
				
				$nuevafila .= "<a target='_top' title='".$datos['nombre']."' $Disableedicion  href='$link' class='contenido nombre $elimc'>".$elimt.$datos['nombre']."</a>";	
				$nuevafila .= "<div title='". strip_tags($datos['descripcion'])."' class='contenido descrip'><div>".substr(strip_tags($datos['descripcion']),0,50)."</div></div>";		
	
				
				$corto = str_replace("entrante", "entra<", $datos['sentido']);
				$corto = str_replace("saliente", "sale>", $corto);	
				
				$nuevafila .= "<div class='contenido tipo ".$datos['status']." ".$datos['sentido']." ".$datos['preliminar']."' onclick='this.childNodes[1].style.display = &quot;block&quot;'>";
					$nuevafila .=$corto ;
					if($datos['preliminar']=='extraoficial'){
						$nuevafila .= "<div class='extraoficialmarco' title='esta comunicaciones es extraoficial'>*!</div>";
					}
				
				if($datos['status'] != 'cerrada' && $datos['requerimiento'] == 'si'){
					$href="href='./agrega_fcom.php?tabla=comunicaciones&salida=agrega_fcom&salidatabla=comunicaciones&respondiendo=$id'";
					if($HabilitadoEdicion!='si'){$href='';}
					if($HabilitadoEdicion=='si'){
						$nuevafila .= "<a title='cargar respuesta' $Disableedicion id='botonrespuesta' $href><img src='./img/responder.png'></a>";
					}
				}
				
				$nuevafila ."<div class='aprobacion'>";
					$estadosdeeste=$datos['estados'];
					$ultimafecha='';
					foreach($estadosdeeste as $estados){
						
						if($estados['desde']==''||$estados['desde']=='0000-00-00'){
							$ultimafecha=$estados['desde'];
							$extrachequito = 'hecho';
						}else{
							$extrachequito = 'nohecho';
						}
						
						$nuevafila . "<div title='".$estados['nombre']." desde: " . $estados['desde']."' class='chequito ".$extrachequito." " . $estados['requerido']."'>.</div>";
					}
				$nuevafila .= "</div>";
				$nuevafila .= "<div class='contenido adjunto'>";
					if (count($datos['adjuntos'])>0){
						$nuevafila .= "<img title='".count($datos['adjuntos'])." documentos adjuntos disponibles' src='./img/hayarchivo.png'>";
					}
					if (count($datos['documentosasociados']['presentados'])>0){
						if(count($datos['documentosasociados']['presentados'])>count($datos['documentosasociados']['respuestos'])){
							$extraclase='alerta';
						}else{
							$extraclase='';
						}
						$title='';
						
						foreach($datos['documentosasociados']['presentados'] as $iver => $dat){
						
							$title.=$dat['numdoc']." v:".$dat['numversion'];
							if(isset($datos['documentosasociados']['presentados'][$iver])){
								$title.=" (R)";
							}
							$title.=PHP_EOL;
						}
						
						$nuevafila .= "<a target='_top' class='$extraclase' title='$title' href='./documentos.php?comunicacion=$id'>".count($datos['documentosasociados']['respuestos'])." ".count($datos['documentosasociados']['presentados'])."</a>";
					}

				$nuevafila .= "</div>";
	
				$nuevafila .= "<div class='contenido emision'>".dia($datos['emision'])."<br>".mesuno($datos['emision'])."<br><span>".ano($datos['emision'])."</span></div>";	
				
				$nuevafila .= "<div class='contenido recepcion'>".dia($datos['recepcion'])."<br>".mesuno($datos['recepcion'])."<br><span>".ano($datos['recepcion']."</span>");
				if($ultimafecha!=''&&$datos['recepcion']==''){
					$nuevafila .= "<span title='esta fecha no es la ltima prevista del ciclo'>*</span>" ;
				}
				$nuevafila .= "</div>";	
				
				$nuevafila .= "<div class='contenido cerradodesde'>".dia($datos['cerradodesde'])."<br>".mesuno($datos['cerradodesde'])."<br><span>".ano($datos['cerradodesde'])."</span></div>";	

				$nuevafila .= "<div class='contenido ids'>";
				
					$nuevafila .= "<div class='id1 COMcomunicacion ".$datos['sentido']." ".$datos['status']."'>".$datos['falsonombre']."</div>";	
				
					$nuevafila .= "<div class='id2'>(".$datos['identdos'].")</div>";	

				$nuevafila .= "</div>";
				
				$nuevafila .= "<div class='contenido responder'>".$datos['requerimiento']."</div>";	
				
					$nuevafila .= "<div $st class='contenido respuesta'>";
						$nuevafila .= "<div class='contenedor'>";	

						
						
						if($HabilitadoEdicion=='si'&&$ID==0){
							//boton para vincular respuesta
							$nuevafila .= "<a id='' $Disableedicion name='cargarespuesta' class='cargarespuesta' title='sumar una respuesta' ";
							if($HabilitadoEdicion=='si'){
								$nuevafila .="onclick='";
									$nuevafila .="responderCom(\"$id\",\"".strip_tags($datos['falsonombre'])."\",\"".strip_tags($datos['emision'])."\");";	
								$nuevafila .="'";
							}
							$nuevafila .= "> <-+ "; 
							$nuevafila .= " </a>";	
						}
						
						$nuevafila .= "	<div id='AuxResp$id' name='AuxResp' class='AuxResp' >
											<div class='".$datos['sentido']."'>".$datos['falsonombre']."</div> <- Resp por: <div id='RespPor$id'></div>
										</div>";							
							
						
						foreach($rtas as $rtaid => $respuesta){
							
							$href = "href='./comunicacionesrespuestar.php?accion=anular&id=".$respuesta['linkid']."&tabla=comunicacioneslinkrespuestas&salida=comunicaciones'";
							if($HabilitadoEdicion!='si'){$href='';}
							
							$nuevafila .= "<a target='_top' class='eliminar respuesta' title='quitar como respuesta' $href'";
							$nuevafila .= "><-</a>";	
							
							
							if(isset($Listados[$oriid])){
								$hrefYtarg="href='#fcn$oriid'";
							}else{
								$hrefYtarg="href='./comunicaciones_muestra.php?id=$oriid' target='recuadromuestra' onclick='document.body.scrollTop =0;'";
							}
							
							$nuevafila .= "<a title='".$respuesta['nombre']."' class='".$respuesta['cerrado']."' $hrefYtarg ";

							//$nuevafila .= "href='agrega_fcom.php?tabla=comunicaciones&accion=cambia&id=".$rtaid."&salida=comunicaciones&salidaid=".$id."'";
							$nuevafila .= "onmouseover='document.getElementById(&quot;fcn".$rtaid."&quot;).style.backgroundColor=&quot;lightblue&quot;;'";
							$nuevafila .= "onmouseout='document.getElementById(&quot;fcn".$rtaid."&quot;).setAttribute(\"style\",\"\")'>";
							
							$nuevafila .= "	<div class='COMcomunicacion secundaria ".$respuesta['sentido']." ".$respuesta['status']."' >".$respuesta['falsonombre']."</div>";
								if($respuesta['nombre']!=''){$rn=$respuesta['nombre'];}else{$rn="???";}
								$nuevafila .= $rn;	
								
							$nuevafila .= "</a>";
							if($datos['emision']>$respuesta['emision']){$nuevafila .= "<div class='alerta'>origen posterior a la respueta ".$datos['emision'] ." vs ". $respuesta['emision']."</div>";}							
							$nuevafila .= "<br>";					
							
						}
					$nuevafila .="</div>";
					
				$nuevafila .="</div>";	
	
			$nuevafila .= "</div>";	
			if($BUSQUEDA!=''){
				$contenido =str_replace($BUSQUEDA, "<span id='marca' name='marca' class='marca'>".$BUSQUEDA."</span>", $datos['descripcion']);
				$nuevafila .="<div class='fila busqueda'><pre>$contenido</pre></div>";
			}	
	
	$resultado[]=$nuevafila;
	}
	//echo "<pre>";print_r($resultado);echo "</pre>";
	return $resultado;

}

function comunicacionesJson($BUSQUEDA,$SENTIDO,$CERRADAS,$GRUPOA,$GRUPOB,$ORDEN1,$ORDEN2,$ORDEN3,$DESDE,$HASTA,$ID){
	
	global $PanelI, $config, $Base, $Hoy;


	$HOY = date("Y-m-d");						
		
	$nomid1=$config['com-ident'];
	$nomid2=$config['com-identdos'];
	//$a = comunicacionenconsulta($BUSQUEDA,$SENTIDO,$CERRADAS,$GRUPOA,$GRUPOB,$ORDEN1,$ORDEN2,$ORDEN3,$DESDE,$HASTA);
	$BORR='';
	if($ID>0){$BORR='todos';}
	
	
	$a = comunicacionenconsultaTOT($BORR);	
	
	$Filtrados=0;
	foreach($a as $k => $datos){				
		if($SENTIDO!='todas'&&$SENTIDO!=''&&$datos['sentido']!=$SENTIDO){
			unset($a[$k]);
			$Filtrados++;
		}elseif($CERRADAS=='no'&&$datos['cerrado']=='si'){
			unset($a[$k]);
			$Filtrados++;		
		}elseif($GRUPOA!='todas'&&$GRUPOA!=''&&$GRUPOA!='vacias'&&$datos['id_p_grupos_id_nombre_tipoa']!=$GRUPOA){
			unset($a[$k]);
			$Filtrados++;	
		}elseif($GRUPOA=='vacias'&&$datos['id_p_grupos_id_nombre_tipoa']!=''){
			unset($a[$k]);
			$Filtrados++;	
								
		}elseif($GRUPOB!='todas'&&$GRUPOB!=''&&$GRUPOB!='vacias'&&$datos['id_p_grupos_id_nombre_tipob']!=$GRUPOB){
			unset($a[$k]);
			$Filtrados++;
		}elseif($GRUPOB=='vacias'&&$datos['id_p_grupos_id_nombre_tipob']!=''){
			unset($a[$k]);
			$Filtrados++;		
		}elseif($ID>0&&$datos['id']!=$ID){
			unset($a[$k]);
			$Filtrados++;			
		}	
	}	

	$Log['tx'][]="Filtrados: $Filtrados";
	
	if($BUSQUEDA!=''){
		$query="
			SELECT id FROM comunicaciones WHERE descripcion like '%$BUSQUEDA%' or nombre like '%$BUSQUEDA%' 
		";
		$consulta=mysql_query($query ,$_SESSION['panelcontrol']->Conec1);		
		$Log['tx'][]= mysql_error($_SESSION['panelcontrol']->Conec1);
		while($row = mysql_fetch_assoc($consulta)){
			$Buscados[$row['id']]='1';
		}	
		
		foreach($a as $k => $datos){
			if(!isset($Buscados[$k])){
				unset($a[$k]);
			}
		}
	}

	foreach($a as $k => $datos){		
		$Listados[$datos['id']]='si';
	}
	
	unset($orden);
	if($ORDEN1!=''){
		if(count($a)>0){
		foreach($a as $k => $datos){
			if(!isset($datos[$ORDEN1])){$datos[$ORDEN1]='';}		
			$orden[$ORDEN1][$k] = $datos[$ORDEN1];		
			//echo ' o:'.$ORDEN1. " ".count();
		}	
		if(is_array($orden[$ORDEN1])){
			array_multisort($orden[$ORDEN1], SORT_DESC, $a);	
		}
		}
	}
		
	
	$elem=array();
	foreach($a as $k => $datos){
		if(!isset($datos['emision'])){$datos['emision']='';}
		if($datos['ident']==''||$datos['emision']==''){
			$elem[$k] = $datos;
						
			if(!isset($datos['emision'])){$datos['emision']='0000-00-00';}
			if($datos['emision']==''||$datos['emision']='0000-00-00'){
			$elem[$k]['emision']="<span class='alerta'>a emitir</span>";	;}			
			if($datos['ident']==''){
			$elem[$k]['ident']="<span class='alerta'>a definir</span>";	
			$elem[$k]['falsonombre'].="<span class='alerta'>a definir</span>";	
			}					
			unset($a[$k]);
		}				
	}	

	if(count($elem)>0){
		$a=array_merge($elem,$a);		
	}
	
	$nOrden=-1;
	foreach($a as $datos){
		//print_r($datos);break;
		$nOrden++;
		$id=$datos['id'];
		if($config['com-prefijo-grupo']=='primario'){
			$campogrupo=$datos['grupoacod'];
		}elseif($config['com-prefijo-grupo']=='secundario'){
			$campogrupo=$datos['grupobcod'];			
		}else{
			$campogrupo="";			
		}
	
		$rtas=$datos['respuestas'];
		
		if(count($rtas)>3||count($datos['origenes'])>3){
			$h=round(max(count($rtas),count($datos['origenes']))*10);
			$st="style='height:".$h."px'";
		}else{
			$st="";
		}
		$Log['data']['regs'][$nOrden]=$datos;
		$Log['data']['regs'][$nOrden]['campogrupo']=$campogrupo;
		$Log['data']['regs'][$nOrden]['nombre']=utf8_encode($Log['data']['regs'][$nOrden]['nombre']);
		$Log['data']['regs'][$nOrden]['identtres']=utf8_encode($Log['data']['regs'][$nOrden]['identtres']);
		if(isset($Log['data']['regs'][$nOrden]['descripcion'])){
			$Log['data']['regs'][$nOrden]['descripcion']=utf8_encode($Log['data']['regs'][$nOrden]['descripcion']);
		}
		
		if($datos['fechaobjetivo']<$HOY &&$datos['cerrado']=='no' && $datos['requerimiento']=='si'){
			$Log['data']['regs'][$nOrden]['banderaroja']='si';
		}else{
			$Log['data']['regs'][$nOrden]['banderaroja']='no';
		}
				
		if($datos['cerrado']=="si (controlar)"){
			$Log['data']['regs'][$nOrden]['ojito']='si';						
		}else{
			$Log['data']['regs'][$nOrden]['ojito']='no';
		}
		
		if($datos['zz_borrada']=='1'){
			$Log['data']['regs'][$nOrden]['EstElim']='eliminada';
			$Log['data']['regs'][$nOrden]['nombre']='-Comnunicacin Eliminada- '+$Log['data']['regs'][$nOrden]['nombre']; 
		}else{
			$Log['data']['regs'][$nOrden]['EstElim']='';
		}
		
		$title='';
		foreach($datos['documentosasociados']['presentados'] as $iver => $dat){		
			$title.=$dat['numdoc']." v:".$dat['numversion'];
			if(isset($datos['documentosasociados']['presentados'][$iver])){
				$title.=" (R)";
			}
			$title.=PHP_EOL;
		}
		$Log['data']['regs'][$nOrden]['docsTitulo']=$title;	
		
		if(!isset($datos['emision'])){$datos['emision']='0000-00-00';}
		if(!isset($datos['recepcion'])){$datos['recepcion']='0000-00-00';}
		
		$Log['data']['regs'][$nOrden]['emisionHTML']=dia($datos['emision'])."<br>".mesuno($datos['emision'])."<br><span>".ano($datos['emision'])."</span>";	
		$Log['data']['regs'][$nOrden]['recepcionHTML']=dia($datos['recepcion'])."<br>".mesuno($datos['recepcion'])."<br><span>".ano($datos['recepcion'])."</span>";
			
		If(!isset($ultimafecha)){$ultimafecha='';}	
		if($ultimafecha!=''&&$datos['recepcion']==''){
			$Log['data']['regs'][$nOrden]['recepcionHTML'] .= "<span title='esta fecha no es la ltima prevista del ciclo'>*</span>" ;
		}
		
		$Log['data']['regs'][$nOrden]['cerradodesdeHTML']=dia($datos['cerradodesde'])."<br>".mesuno($datos['cerradodesde'])."<br><span>".ano($datos['cerradodesde'])."</span></div>";	
		
		if(count($rtas)>3||count($datos['origenes'])>2){
			$h=round(max(count($rtas),(count($datos['origenes'])+1))*10);
			$st=$h;
		}else{
			$st="";
		}
		$Log['data']['regs'][$nOrden]['hfila']=$st;
		
		/*
			

				
				$nuevafila .= "<div class='contenido responder'>".$datos['requerimiento']."</div>";	
				
					$nuevafila .= "<div $st class='contenido respuesta'>";
						$nuevafila .= "<div class='contenedor'>";	

						$nuevafila .= "	<div id='AuxResp$id' name='AuxResp' class='AuxResp' >
											<div class='".$datos['sentido']."'>".$datos['falsonombre']."</div> <- Resp por: <div id='RespPor$id'></div>
										</div>";							
							
						
						foreach($rtas as $rtaid => $respuesta){
							
							$href = "href='./comunicacionesrespuestar.php?accion=anular&id=".$respuesta['linkid']."&tabla=comunicacioneslinkrespuestas&salida=comunicaciones'";
							if($HabilitadoEdicion!='si'){$href='';}
							
							$nuevafila .= "<a target='_top' class='eliminar respuesta' title='quitar como respuesta' $href'";
							$nuevafila .= "><-</a>";	
							
							
							if(isset($Listados[$oriid])){
								$hrefYtarg="href='#fcn$oriid'";
							}else{
								$hrefYtarg="href='./comunicaciones_muestra.php?id=$oriid' target='recuadromuestra' onclick='document.body.scrollTop =0;'";
							}
							$nuevafila .= "<a title='".$respuesta['nombre']."' class='".$respuesta['cerrado']."' $hrefYtarg ";

							//$nuevafila .= "href='agrega_fcom.php?tabla=comunicaciones&accion=cambia&id=".$rtaid."&salida=comunicaciones&salidaid=".$id."'";
							$nuevafila .= "onmouseover='document.getElementById(&quot;fcn".$rtaid."&quot;).style.backgroundColor=&quot;lightblue&quot;;'";
							$nuevafila .= "onmouseout='document.getElementById(&quot;fcn".$rtaid."&quot;).setAttribute(\"style\",\"\")'>";
							
							$nuevafila .= "	<div class='COMcomunicacion secundaria ".$respuesta['sentido']." ".$respuesta['status']."' >".$respuesta['falsonombre']."</div>";
								if($respuesta['nombre']!=''){$rn=$respuesta['nombre'];}else{$rn="???";}
								$nuevafila .= $rn;	
								
							$nuevafila .= "</a>";
							if($datos['emision']>$respuesta['emision']){$nuevafila .= "<div class='alerta'>origen posterior a la respueta ".$datos['emision'] ." vs ". $respuesta['emision']."</div>";}							
							$nuevafila .= "<br>";					
							
						}
					$nuevafila .="</div>";
					
				$nuevafila .="</div>";	
	
			$nuevafila .= "</div>";	
			if($BUSQUEDA!=''){
				$contenido =str_replace($BUSQUEDA, "<span id='marca' name='marca' class='marca'>".$BUSQUEDA."</span>", $datos['descripcion']);
				$nuevafila .="<div class='fila busqueda'><pre>$contenido</pre></div>";
			}	
	
	$resultado[]=$nuevafila;*/
	}
	//echo "HH<pre>";print_r($Log);echo "</pre>ZZ";
	return $Log;

}
				
		
function comunicacionesformatoinforme($Freportedesde,$Freportehasta){	
	global $Conec1, $PanelI, $config, $Base; 
	global $Hoy, $ULTIMODIA;
	
	$HOY = $Hoy;
	$a = comunicacionenconsulta('','todas','todas','todas','todas','id_p_grupos_id_nombre_tipob','emision','ident',$Freportedesde,$Freportehasta,'si');
	
	if(count($a)>0){	
		
		$where="";
		foreach($a as $id => $datos){
			if($datos["recepcion"]>=$Freportedesde&&$datos["recepcion"]<=$ULTIMODIA&&$datos['relevante']=='si'){
				$where.=" OR id='".$datos['id']."'";
			}
		}
		$where=substr($where,4);
		
		$query="
		SELECT
		id,
		descripcion
		FROM 
		comunicaciones
		WHERE
		zz_AUTOPANEL='".$PanelI."'
		AND (".$where.")
		";
		$cdes=mysql_query($query,$Conec1);
		echo mysql_error($Conec1);
		while($row=mysql_fetch_assoc($cdes)){
			$Descs[$row['id']]=$row['descripcion'];
		}	
		
		//echo PHP_EOL.$query;
		
		foreach($a as $id => $datos){
			//echo "<pre>";print_r($datos);echo "</pre>";
			if($datos["recepcion"]>=$Freportedesde&&$datos["recepcion"]<=$ULTIMODIA&&$datos['relevante']=='si'){
			$parrafo ="";
				$parrafo .= "<h3>";
				if($datos['grupob']!=''){
				$parrafo .= $datos['grupob'].": ";
				}
				if($datos['grupoa']!=''){
				$parrafo .= $datos['grupoa'].": ";
				}					
				$parrafo .= $datos['falsonombre'];
				$parrafo .= "</h3>";
				$resultado[]=$parrafo;
	
				
					if ($datos['hayadjunto'] == 'si'){
						$parrafo = "";
						$parrafo .= "-la comunicacin contiene documentos adjuntos-";
						$parrafo .= "";
						$resultado[]=$parrafo;
					}
				
				
				$parrafo = "";								
					$estadosdeeste=$datos['estados'];
					foreach($estadosdeeste as $estados){
						$parrafo .= $estados['nombre'].": ".dia($estados['desde'])." de ".mesdos($estados['desde'])." de ".ano($estados['desde'])."<br>";	
					}
				$parrafo .= "";
				$resultado[]=$parrafo;
			
				//$desc = nl2br($Decs[$id]);
				$desc = str_replace(array("\r\n", "\r", "\n"), "<br />", $Descs[$datos['id']]); 
				
				$a=explode("<br /><br />",$desc);
				foreach($a as $subparr){
					$resultado[]="<span class='cita'>".$subparr."</span>";
				}
			
				
				foreach($datos['adjuntos']as$row){
					
					$b = explode(".",$row['FI_documento']);
					$ext = $b[(count($b)-1)];
					$tipo='desconocido';
					$extensionesdeimagen=$array = array("jpg","JGP","png","PNG","tif","TIF","bmp","BMP","gif","GIF");
					foreach($extensionesdeimagen as $extimg){
						
						if($extimg==$ext){
							$tipo="imagen";
						}
					}
					
					if(file_exists($row['FI_documento'])){
						if($tipo=="imagen"){
							$parrafo= "<img style='width:600px' src='".$row['FI_documento']."'>";
						}
						$resultado[]=$parrafo;
					}
				}
				
			}
		}
		
		if(count($resultado)>0){
					$titulo  = '<h2>';
					$titulo .= 	'Se destacan las siguientes comunicaciones relevantes en el ltimo perodo';
					$titulo .= "</h2>";	
					
					array_unshift($resultado,$titulo);
		}
		
		//	echo "<pre>";print_r($resultado);echo "</pre>";
		
	}
	return $resultado;	
}	


function comunicacionesformatoListadito($Freportedesde,$Freportehasta){	
	global $Conec1, $PanelI, $config, $Base; 
	global $Hoy, $ULTIMODIA;
	
	$HOY = $Hoy;
	
	$query="
		SELECT `grupos`.`id`,
		    `grupos`.`nombre`,
		    `grupos`.`codigo`			  
		FROM `paneles`.`grupos`
		WHERE 
			zz_AUTOPANEL ='$PanelI'
	";
	$ConGrup=mysql_query($query ,$Conec1);
	echo mysql_error($Conec1);
	while($row = mysql_fetch_assoc($ConGrup)){
		$Grupos[$row['id']]=$row;			
	}
	
/* consulta todas las comunicaciones previos a la fecha lmite de reporte ($Freportehasta) */	
	$query="
		SELECT 
			comunicaciones.id as id,
			comunicaciones.sentido as sentido,
			comunicaciones.cerrado as cerrado,
			comunicaciones.cerradodesde as cerradodesde,
			comunicaciones.nombre as nombre,
			comunicaciones.id_p_grupos_id_nombre_tipoa as id_p_grupos_id_nombre_tipoa,			
			comunicaciones.id_p_grupos_id_nombre_tipob as id_p_grupos_id_nombre_tipob,					
			comunicaciones.zz_borrada as zz_borrada,
			comunicaciones.ident as ident,
			comunicaciones.identdos as identdos,
			comunicaciones.identtres as identtres,
			comunicaciones.preliminar as preliminar
			
			FROM 
				comunicaciones 	
			
			WHERE comunicaciones.id_p_paneles_id_nombre = '$PanelI'
			AND comunicaciones.zz_borrada='0'				
			
			ORDER BY `zz_reg_fecha_emision` DESC, preliminar ASC, ident DESC

	";
	$Cons=mysql_query($query ,$Conec1);
	echo mysql_error($Conec1);
		
	$r['tx'][]=mysql_num_rows($Cons).' comunicaciones cargadas al listadito.';
	while($row = mysql_fetch_assoc($Cons)){
		$resultado[$row['id']]=$row;
		$resultado[$row['id']]['nombre']=utf8_encode($row['nombre']);
		$resultado[$row['id']]['ident']=utf8_encode($row['ident']);
		$resultado[$row['id']]['identdos']=utf8_encode($row['identdos']);
		$resultado[$row['id']]['identtres']=utf8_encode($row['identtres']);
								
		if($row['cerrado']=='si'){$e='cerrada';
		}else{$e='abierto';}
		$resultado[$row['id']]['estado']=$e;
				
		$gna='';
		$gca='';
		if(isset($Grupos[$row['id_p_grupos_id_nombre_tipoa']])){
			$gna=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipoa']]['nombre']);
			$gca=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipoa']]['codigo']);
		}				
		$resultado[$row['id']]['grupoa']=$gna;
		$resultado[$row['id']]['grupoacod']=$gca;
		
		$gnb='';
		$gcb='';
		if(isset($Grupos[$row['id_p_grupos_id_nombre_tipob']])){
			$gnb=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipob']]['nombre']);
			$gcb=utf8_encode($Grupos[$row['id_p_grupos_id_nombre_tipob']]['codigo']);
		}
		
		$resultado[$row['id']]['grupob']=$gnb;
		$resultado[$row['id']]['grupobcod']=$gcb;
		
		// obtiene de la configuracin los prefijos para cada comunicacion 
		if($row['preliminar']=='extraoficial'){$o='x';}else{$o='';}
		
		// incorpora al array un nombre que incluye el prefijo generado	
		$PREN['entrante']=$config['com-entra-preN'.$o];
		$PREN['saliente']=$config['com-sale-preN'.$o];
		
		$falsonombre=$PREN[$row['sentido']].$row['ident'];	
		$resultado[$row['id']]['falsonombre']=$falsonombre;			
		$resumen=$gca."-".$gcb."-".$falsonombre;
		$resultado[$row['id']]['etiqueta']=$resumen;
	}	
	
	foreach($resultado as $reg){
		$ordenado[]=$reg;	
	}
	
	
	$r['data']=$ordenado;
	
	return $r;	
}	


/**
* realiza una bsqueda de versiones de documentos utilizado para contabilizar cantidad de documentacin presentada y respondida de y a cada comunicacin 
*
* @param 
* @return array 
*/
function consultaversionesdereferencia(){
global $PanelI, $Conec1, $config;
// consulta de versiones asociadas al panel activo
	$versiones=array();// variable de versiones asociadas a una comunicacion
	$Ddocumentosasoc=array();// vriable resultado
	$query="
		SELECT
			id,nombre,numerodeplano
		FROM
			paneles.DOCdocumento
		WHERE
			zz_AUTOPANEL = '$PanelI'
		AND
			zz_borrada='0'
		";
	$Consultad = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);
	while($row=mysql_fetch_assoc($Consultad)){
		$docs[$row['id']]=$row;
	}	
	
	$query="
		SELECT
			DOCversion.id as idversion,
			DOCversion.version as numversion,	
			DOCversion.previstoactual as programada,
			
			DOCversion.id_p_DOCdocumento_id as iddocumento,
			DOCversion.id_p_comunicaciones_id_ident_entrante as idpresenta,
			DOCversion.id_p_comunicaciones_id_ident_aprobada as idaprueba,
			DOCversion.id_p_comunicaciones_id_ident_anulada as idanula,			
			DOCversion.id_p_comunicaciones_id_ident_rechazada as idrechaza
			
			FROM
				DOCversion
			WHERE 
				DOCversion.zz_AUTOPANEL = '$PanelI'
				AND DOCversion.zz_borrada='0'
			order by id_p_DOCdocumento_id, id
		";
	$Consultac = mysql_query($query,$Conec1);
	echo mysql_error($Conec1);
	while($row=mysql_fetch_assoc($Consultac)){
		$versiones[$row['idversion']]=$row;
		$ultimaversion[$row['iddocumento']]=$row['idversion'];
	}		

	
	foreach($versiones as $idver => $dataver){
		$dat['id']=$dataver['iddocumento'];
		if(isset($docs[$dataver['iddocumento']])){
			$dat['ndoc']=utf8_encode($docs[$dataver['iddocumento']]['nombre']);
			$dat['numdoc']=utf8_encode($docs[$dataver['iddocumento']]['numerodeplano']);	
		}
		
		$dat['numversion']=$dataver['numversion'];
	
		if(isset($docs[$dataver['iddocumento']])){
			$Ddocumentosasoc[$dataver['idpresenta']]['presentados'][$idver]=$dat;
			if($dataver['idanula']>0||$dataver['idaprueba']>0||$dataver['idrechaza']>0||$dataver['idversion']!=$ultimaversion[$dataver['iddocumento']]){
				$Ddocumentosasoc[$dataver['idpresenta']]['respuestos'][$idver]=$dat;
			}		
		}
	}	
	
	return($Ddocumentosasoc);	
}


/**
* realiza una bsqueda de todas comunicaciones en la base de datos para el panel activo y debuelve una array desordenado
* @global string $Base base de datos mysql de trabajo
* @global array $config configuracion del panel activo
* @global int $PanelI id del panel activo
* @return array organizado y ordenado con el resultado de la bsqueda conteniendo los datos bsicos de la comunicacin, y arrays con estados y respuestas
* @global array $ACUM VALORES ACUMULADOS PARA GRAFICOS ESTADSITCOS
*/
function comunicacionesResumen(){
	global $PanelI, $config, $Base; //entorno 
	global $Hoy; //input 
	global $ACUM, $Grupos;	 //output
		
		$query="
			SELECT `PANestadisticasCOM`.`id`,
			    `PANestadisticasCOM`.`zz_AUTOPANEL`,
			    `PANestadisticasCOM`.`fechahora`,
			    `PANestadisticasCOM`.`ano`,
			    `PANestadisticasCOM`.`mes`,			    			    
			    `PANestadisticasCOM`.`totsalientes`,
			    `PANestadisticasCOM`.`totentrantes`,
			    `PANestadisticasCOM`.`pendsalientes`,
			    `PANestadisticasCOM`.`pendentrentes`
			FROM `paneles`.`PANestadisticasCOM`
			WHERE zz_AUTOPANEL='".$PanelI."'
			ORDER BY fechahora DESC
			LIMIT 1
			";
			$Con=mysql_query($query,$_SESSION['panelcontrol']->Conec1);
			echo mysql_error();
			$PANestCom=mysql_fetch_assoc($Con);
			
	$micro_date = microtime();
	$date_array = explode(" ",$micro_date);
	$Millidate = $date_array[1]*1000+round($date_array[0]*1000);	
	
	$hace=number_format((($Millidate-$PANestCom['fechahora'])/1000/60/60),0);
	
	$resumen="
	<div class='resumen'>
		<div class='renglon' title=''>
			<span class='definicion'>Cant. Total de comunicaciones salientes</span><span class='valor'>".$PANestCom['totsalientes']."</span>
		</div>	
		<div class='renglon' title=''>
			<span class='definicion'>Cant. Total de comunicaciones entrentes</span><span>".$PANestCom['totentrantes']."</span>		
		</div>		
		<div class='renglon' title=''>
			<span class='definicion'>comunicaciones salientes Pendientes</span><span>".$PANestCom['pendsalientes']."</span>
		</div>	
		<div class='renglon' title=''>
			<span class='definicion'>comunicacionesentrantes Pendientes</span><span>".$PANestCom['pendentrentes']."</span>		
		</div>	
	</div>";
	$antig="<div class='antig'>ltima actualizacin: <br> $hace horas <br><a target='ventanaaccion' class='actualizar' href='./PANactualizar.php?comunicaciones=si'><img src='' alt='actualizar'></a></div>";
	$res['resumen']=$resumen;
	$res['antig']=$antig;
	
	return $res;
	
}
?>