<?php 
/**
* documentos_consulta.php
*
* documentos_consulta.php se incorpora en la carpeta raiz como una funcin complementaria bsica 
* para aquellas aplicaciones que consultan el listado de documentos presentados 
* contiene una nica funcin que realiza una bsqueda y evalua los resultados devolviendo un array.
* 
* @package    	TReCC(tm) paneldecontrol.
* @subpackage 	documentos
* @author     	TReCC SA
* @author     	<mario@trecc.com.ar> <trecc@trecc.com.ar>
* @author    	www.trecc.com.ar  
* @copyright	2013-2015 TReCC SA
* @license    	https://www.gnu.org/licenses/agpl-3.0-standalone.html GNU AFFERO GENERAL PUBLIC LICENSE, version 3 (agpl-3.0)
* Este archivo es parte de TReCC(tm) paneldecontrol y de sus proyectos hermanos: baseobra(tm), TReCC(tm) intraTReCC  y TReCC(tm) Procesos Participativos Urbanos.
* Este archivo es software libre: tu puedes redistriburlo 
* y/o modificarlo bajo los trminos de la "GNU AFero General Public License version 3" 
* publicada por la Free Software Foundation
* 
* Este archivo es distribuido por si mismo y dentro de sus proyectos 
* con el objetivo de ser til, eficiente, predecible y transparente
* pero SIN NIGUNA GARANTA; sin siquiera la garanta implcita de
* CAPACIDAD DE MERCANTILIZACIN o utilidad para un propsito particular.
* Consulte la "GNU General Public License" para ms detalles.
* 
* Si usted no cuenta con una copia de dicha licencia puede encontrarla aqu: <http://www.gnu.org/licenses/>.
*/

if (function_exists('feriados')){
	}else{
	  include ('./consulta_feriados.php');
	}

/**
* realiza una consulta de documentos presntados asociando comunicaciones para determinar la fecha de presentacin y el estado de cada una
*
 * variables globales de entrada
* @global integer $PanelI id del panel activo y validado para su acceso
* @global resource $Conec1 coneccin abierta a la base de datos mysql 
* @global array $config configuracin del panel, resultado de la bsqueda en la base.
* @global date $Freportehasta define fecha de consulta elimina todo registro postrior a la fecha de consulta, simula una consulta realizada en el pasado.  
* @global string $FILTRO filtro por estado, estando definido solo muestra documentaciones con estado de igual nombre.
* @global date $FILTROFECHAD filtra la bsqueda de documentos mostrando solo aquellos presentados porteriores a la fecha dada.
* @global date $FILTROFECHAH filtra la bsqueda de documentos mostrando solo aquellos presentados anteriores a la fecha dada (esto es distinto de $Freportehata).
 * variables globales de salida (devuelven vaaores sumarizados)
* @global integer $CANTdocumentos cantidad totale de documentos programados para el proyecto
* @global integer $CANTdocumentosaprobados cantidad de documentos aprobados en su ltima versin programada
* @global integer $CANTdocumentospresentados cantidad de documentos presntados en su ltima versin programada
* @global integer $CANTdocumentosrechazado cantidad de documentos rechazados en su ltima versin programada
* @global integer $CANTdocumentosapresentar cantidad de documentos a presentar en ltima versin programada
* @global integer $CANTdocumentosevaluando cantidad de documentos en evaluacin en su ltima versin programada
 * 
* @return array Retorna listado de documentos con sublistados de versiones (con el key de su numeracion) y un sublistado de caractersticas del documento general (bajo el key 00)
	 *array
	 * DOCUMENTO 1
	 * 	V1
	 * 		id
	 * 		id documentacin relacionada
	 * 		fecha versin relacionada
	 * 		etc.
	 * 	V2
	 * 		id
	 * 		id documentacin relacionada
	 * 		fecha versin relacionada
	 * 		etc.
	 * 	V3
	 * 		id
	 * 		id documentacin relacionada
	 * 		fecha versin relacionada
	 * 		etc.
	 * 	Vn
	 * 		id
	 * 		id documentacin relacionada
	 * 		fecha versin relacionada
	 * 		etc.
	 * 	00 (datos del documento)
	 * 		nmro
	 * 		planta
	 * 		etc.
	 * DOCUMENTO 2
	 * etc 
	 *
*/
function documentoconsulta(){
	global $PanelI, $Conec1, $config, $Usuario; 
	global $Freportehasta, $FILTRO, $FILTROFECHAD, $FILTROFECHAH, $PLANOSCARGADOS, $PLANOSCARGADOSACTIVOS, $PLANOSgruposCARGADOS, $PLANOSgruposCARGADOSACTIVOS; 				
	
	//print_r($Usuario);
	$Feriados=feriados();

	if(!isset($Freportehasta)||$Freportehasta=='0000-00-00'){$Freportehasta = '9999-12-30';}
	// consulta la informacin de los documentos (no de sus definiciones)(no de sus versiones) 
	$query="
		SELECT 
			DOCdocumento.*
		FROM 
			DOCdocumento
					
		WHERE DOCdocumento.id_p_paneles_id_nombre = '$PanelI'
		AND zz_borrada !='1'
	";

	$Consulta = mysql_query($query,$Conec1);
	/*echo $query;*/
	echo mysql_error();

	rendimiento_checkpoint('consulta documentos: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp en ./includes/mensajesdesarrollo

		
	// consulta la informacin de las definiciones de documentos asociadas a este panel 		
	$query="
		SELECT 
			*
		FROM 
			DOCdef					
		WHERE 
		zz_AUTOPANEL = '$PanelI'
		";
	
		$ConsultaDef = mysql_query($query,$Conec1);
		/*echo $query;*/
		echo mysql_error($Conec1);
	
	rendimiento_checkpoint('consulta definiciones 2/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp en ./includes/mensajesdesarrollo

	//construye un array con las definiciones para luego  asignar a cada documento
	While($row=mysql_fetch_assoc($ConsultaDef)){
		$DEFINICIONES[$row['id']]=$row;
	}			

	// consulta la informacin de los grupos asociados a este panel 		
	$query="
		SELECT 
			*
		FROM 
			grupos
		WHERE 
		zz_AUTOPANEL = '$PanelI'
		OR 
		zz_AUTOPANEL = '-1'
		";
	
		$Consultagrupos = mysql_query($query,$Conec1);
		/*echo $query;*/
		echo mysql_error();
	
rendimiento_checkpoint('consulta grupos: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp en ./includes/mensajesdesarrollo

	//construye un array con las definiciones para luego  asignar a cada documento
	While($row=mysql_fetch_assoc($Consultagrupos)){
		$GRUPOS[$row['id']]=$row;
	}

	rendimiento_checkpoint('iteracion arrays 1/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp en ./includes/mensajesdesarrollo
				
	 
	// la Consulta de documentos para construir un arra de documentos y asigna las definiciones obtenidas
	$PreContenido = '';
	while($row = mysql_fetch_assoc($Consulta)){
		
		$idplano=$row['id'];

		$PreContenido[$idplano]['00']['idplano']=$row['id'];
		$PreContenido[$idplano]['00']['nombre']=$row['nombre'];
		$PreContenido[$idplano]['00']['numero']=$row['numerodeplano'];
		$PreContenido[$idplano]['00']['grupoa']=$GRUPOS[$row['id_p_grupos_id_nombre_tipoa']];
		$PreContenido[$idplano]['00']['grupob']=$GRUPOS[$row['id_p_grupos_id_nombre_tipob']];
		$PreContenido[$idplano]['00']['plantaID']=$row['id_p_DOCdef_id_nombre_tipo_planta'];
		if(!isset($DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_planta']]['nombre'])){$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_planta']]['nombre']='';}
		$PreContenido[$idplano]['00']['planta']=$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_planta']]['nombre'];	
		$PreContenido[$idplano]['00']['escalaID']=$row['id_p_DOCdef_id_nombre_tipo_escala'];
		if(!isset($DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_escala']]['nombre'])){$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_escala']]['nombre']='';}
		$PreContenido[$idplano]['00']['escala']=$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_escala']]['nombre'];	
		$PreContenido[$idplano]['00']['rubroID']=$row['id_p_DOCdef_id_nombre_tipo_rubro'];			
		if(!isset($DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_rubro']]['nombre'])){$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_rubro']]['nombre']='';}
		$PreContenido[$idplano]['00']['rubro']=$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_rubro']]['nombre'];	
		$PreContenido[$idplano]['00']['sectorID']=$row['id_p_DOCdef_id_nombre_tipo_sector'];	
		if(!isset($DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_sector']]['nombre'])){$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_sector']]['nombre']='';}
		$PreContenido[$idplano]['00']['sector']=$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_sector']]['nombre'];	
		$PreContenido[$idplano]['00']['tipologiaID']=$row['id_p_DOCdef_id_nombre_tipo_tipologia'];			
		if(!isset($DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_tipologia']]['nombre'])){$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_tipologia']]['nombre']='';}
		$PreContenido[$idplano]['00']['tipologia']=$DEFINICIONES[$row['id_p_DOCdef_id_nombre_tipo_tipologia']]['nombre'];	
		$nombresinblancos=strtoupper(str_replace(" ", "", $row['numerodeplano']));
		
		if(!isset($PLANOSACARGADOS[$nombresinblancos])){$PLANOSACARGADOS[$nombresinblancos]=0;}
		$PLANOSACARGADOS[$nombresinblancos]++; //variable global, array listado de nmeros de plano y sus respectivas cantidades		
		//$PLANOSgruposCARGADOS[$GRUPOS[$row['id_p_grupos_id_nombre_tipoa']].'_'.$GRUPOS[$row['id_p_grupos_id_nombre_tipob']]."_".$nombresinblancos]++;//variable global, array listado de nmeros de grupos mas plano y sus respectivas cantidades
		
		
		if(!validaracceso($row['id_p_grupos_id_nombre_tipob'],$row['id_p_grupos_id_nombre_tipoa'])){
			unset($PreContenido[$idplano]);//echo "FILTRANDO $g!=".$row['id_p_grupos_id_nombre_tipob']."&&$g!=".$row['id_p_grupos_id_nombre_tipoa'];
		}

	}


	rendimiento_checkpoint('iteracion arrays 2/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp

	//Crea arrays auxiliares para reordenar el array de documentos de acuerdo a sus definiciones
	foreach($PreContenido as $idplano => $ver){
		$Ogrupoa[]=$ver['00']['grupoa']['codigo'];
		$Ogrupob[]=$ver['00']['grupob']['codigo'];
		$Oseccion[]=$ver['00']['sector'];	
		$Onplano[]=$ver['00']['numero'];
		$Otipo[]=$ver['00']['tipologia'];		
		$Oid[]=$idplano;		
	}
	rendimiento_checkpoint('iteracion arrays 3/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp
	
	//reordena el array de documentos
	array_multisort(
		$Ogrupoa, SORT_ASC,	
		$Ogrupob, SORT_ASC,	
		$Oseccion, SORT_ASC,
	    $Onplano,  SORT_ASC,
	    $Otipo,  SORT_ASC,
	    $Oid,  SORT_ASC,
	    $PreContenido
	);
				
	// worakround para recuperar el idex perdido	
	$Contenido = '';
	foreach($PreContenido as $cont){
		$Contenido[$cont['00']['idplano']]=$cont;
	}				
	rendimiento_checkpoint('reorden arrays: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp	

	
			
// consulta de versiones asociadas al panel activo
	$query="
		SELECT
			DOCversion.id as idversion,
			DOCversion.version as numversion,	
			DOCversion.previstoactual as programada,
			
			DOCversion.descripcion as observaciones,			
			DOCdocumento.id as iddocumento,
			
			
			DOCversion.id_p_comunicaciones_id_ident_entrante as idpresenta,
			DOCversion.id_p_comunicaciones_id_ident_aprobada as idaprueba,		
			DOCversion.id_p_comunicaciones_id_ident_rechazada as idrechaza,
			DOCversion.id_p_comunicaciones_id_ident_anulada as idanula

			FROM
				DOCversion
			
			
			LEFT JOIN
				DOCdocumento
				ON DOCdocumento.id=id_p_DOCdocumento_id
			
				
				WHERE 
					DOCdocumento.id_p_paneles_id_nombre = '$PanelI'
					AND DOCdocumento.zz_borrada!='1'
					AND DOCversion.zz_borrada!='1'
				
				order by iddocumento, idversion
		";
			
	$Consultac = mysql_query($query,$Conec1);
	/*echo $query;*/
	echo mysql_error($Conec1);			

	
// consulta de archivos de versiones asociadas al panel activo
	$query="
		SELECT
		DOCarchivos.FI_documento, 
		DOCarchivos.id_p_DOCversion_id
		FROM
			DOCarchivos 
		WHERE zz_borrada='no'
			
		";
	$ConsultacA = mysql_query($query,$Conec1);
	/*echo $query;*/
	echo mysql_error($Conec1);
	while($row=mysql_fetch_assoc($ConsultacA)){
		$Archivos[$row['id_p_DOCversion_id']][]=$row['FI_documento'];
	}	
	
	rendimiento_checkpoint('consulta versiones 3/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp

// consulta de comunicaciones asociadas al panel activo	 (restringe aquellas previas a la fecha rfeportehasta (simulacino de reporte pasado))
	$query="
		SELECT
				
			comunicaciones.id as id,
			comunicaciones.ident as num,
			primerestado.desde as fecha,	
			comunicaciones.preliminar as prelim,		
			comunicaciones.sentido as sentido	

		FROM
			comunicaciones	

		LEFT JOIN
			(SELECT 
				* 
				FROM 
					(
					SELECT * FROM comunestados 
						ORDER BY desde ASC
					)testadosordenadosa
				GROUP BY 
				id_p_comunicaciones_id_nombre
			)as primerestado
			ON primerestado.id_p_comunicaciones_id_nombre = comunicaciones.id 
	
		WHERE 
			id_p_paneles_id_nombre = '$PanelI'
			AND (primerestado.desde <= '$Freportehasta' OR primerestado.desde IS NULL)
		
		";			
	$Consultad = mysql_query($query,$Conec1);
	/*echo $query;*/
	echo mysql_error();			
	rendimiento_checkpoint('consulta comunicacones 3/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp
			
//Itera el resultado de consulta de comunicacines en una array cuyo key es el id de la comunicacin	
	while($row=mysql_fetch_assoc($Consultad)){
		$comunicaciones[$row['id']]=$row;
	
		if($row['sentido']=='entrante'){
			if($row['prelim']=='oficial'){$comunicaciones[$row['id']]['prefijo']=$config['com-entra-preN'];}
			if($row['prelim']=='extraoficial'){$comunicaciones[$row['id']]['prefijo']=$config['com-entra-preNx'];}
		}elseif($row['sentido']=='saliente'){
			if($row['prelim']=='oficial'){$comunicaciones[$row['id']]['prefijo']=$config['com-sale-preN'];}
			if($row['prelim']=='extraoficial'){$comunicaciones[$row['id']]['prefijo']=$config['com-sale-preNx'];}
		}					
	}

// consulta de visados de cada versin
	$query="
		SELECT
				id_p_DOCversion_id as idversion,
				DOCvisados.id as idvisados,
				DOCvisados.vencimiento,				
				DOCvisados.nombre as nombre,
				DOCversionvisados.aplica,
				DOCversionvisados.evaluandodesde,
				DOCversionvisados.fecharespuesta,
				DOCversionvisados.resultado,
				DOCversionvisados.observaciones,
				DOCversionvisados.id as idvisadoversion				
			FROM
				DOCvisados 
				
				LEFT JOIN
					DOCversionvisados ON DOCversionvisados.id_p_DOCvisados_id_nombre = DOCvisados.id

		";
			
	$ConsultabA = mysql_query($query,$Conec1);
	/*echo $query;*/
	echo mysql_error($Conec1);	
	
	

	/*echo $query;*/
	echo mysql_error($Conec1);
	
	//echo mysql_num_rows($ConsultabA);
	while($row=mysql_fetch_assoc($ConsultabA)){
		//print_r($row);
		
		$visados[$row['idversion']][$row['idvisados']]=$row;
		
			if($row['resultado']=="0"){
				$status='rechazada';	
			}elseif($row['resultado']=="1"){
				$status='aprobada';
			}elseif($row['resultado']=="-1"){
					if($row['aplica']=='0'){
						$status='desabilitado';
					}elseif($row['evaluandodesde']!=''&&$row['evaluandodesde']!='0000-00-00'){
						$status='evaluando';
					}else{
						$status='vacio';
					}
			}else{
				$status='vacio';
			}		
				
			$visados[$row['idversion']][$row['idvisados']]['status']=$status;
			
			//echo $row['evaluandodesde'],$row['vencimiento'];
			
			if($row['vencimiento']>0&&$status=='evaluando'){
				$visados[$row['idversion']][$row['idvisados']]['vencimiento']=sumadiashabiles($row['evaluandodesde'],$row['vencimiento'],1,1,1,1,1,0,0,$Feriados);
			}else{
				$visados[$row['idversion']][$row['idvisados']]['vencimiento']="9999-1-1";
			}
	}		
			
	
	rendimiento_checkpoint('consulta visado 3/4: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp

	$nver = 0;
	$idplano = '';
	

	global $CANTversionesevaluadas;
	$CANTversionesevaluadas = 0;

	
		
// itera el resultado de consulta de versiones construyendo un array de resultado cuyo key es [iddedocumento][numerodeordendeversion]
// adems asigna los contenidos de 
	while($row=mysql_fetch_assoc($Consultac)){
				
		if(isset($Contenido[$row['iddocumento']])){
			if($row['iddocumento']!=$idplano){
				$nver=0;
			}
			$nver++;
	
			$idplano = $row['iddocumento'];	
	
			$Contenido[$idplano][$nver]['id']=$row['idversion'];
			$Contenido[$idplano][$nver]['numversion']=$row['numversion'];
			//$Contenido[$idplano][$nver]['entrante']=$row['identrante'];
			//$Contenido[$idplano][$nver]['fechaentrante']=$row['fechaentrante'];
			//$Contenido[$idplano][$nver]['numentrante']=$row['numentrante'];
			$Contenido[$idplano][$nver]['observaciones']=$row['observaciones'];		
			
			if(!isset($visados[$row['idversion']])){$visados[$row['idversion']]='';}
			$Contenido[$idplano][$nver]['visados']=$visados[$row['idversion']];
			if(!isset($Archivos[$row['idversion']])){$Archivos[$row['idversion']]='';}
			$Contenido[$idplano][$nver]['archivo']=$Archivos[$row['idversion']];
	
			if(isset($comunicaciones[$row['idpresenta']])){
				$Contenido[$idplano][$nver]['presenta']=$comunicaciones[$row['idpresenta']];
			}else{
				$Contenido[$idplano][$nver]['presenta']=null;
			}
			if(isset($comunicaciones[$row['idaprueba']])){
				$Contenido[$idplano][$nver]['aprueba']=$comunicaciones[$row['idaprueba']];
			}else{
				$Contenido[$idplano][$nver]['aprueba']=null;
			}
			if(isset($comunicaciones[$row['idrechaza']])){
				$Contenido[$idplano][$nver]['rechaza']=$comunicaciones[$row['idrechaza']];
			}else{
				$Contenido[$idplano][$nver]['rechaza']=null;
			}			
			if(isset($comunicaciones[$row['idanula']])){
				$Contenido[$idplano][$nver]['anula']=$comunicaciones[$row['idanula']];	
			}else{
				$Contenido[$idplano][$nver]['anula']=null;
			}			
			
			$Contenido[$idplano]['00']['ultimaversionid']=$row['idversion'];
			$Contenido[$idplano]['00']['ultimaver']=$row['numversion'];		
	
			$Contenido[$idplano]['00']['ultimaadjuntos']=$Archivos[$row['idversion']];
			
		
			if(!isset($CANTversionesanuladas)){$CANTversionesanuladas=0;}
			if(!isset($CANTversionesevaluadas)){$CANTversionesevaluadas=0;}
			
			if(isset($comunicaciones[$row['idanula']]['fecha'])){
				$Contenido[$idplano]['00']['estado']='anulada';
				$Contenido[$idplano]['00']['desde']=$comunicaciones[$row['idanula']]['fecha'];
				$Contenido[$idplano]['00']['estadob']='anulada';
				
				$CANTversionesevaluadas++;
				
			}elseif(isset($comunicaciones[$row['idaprueba']]['fecha'])){
				$Contenido[$idplano]['00']['estado']='aprobado';
				$Contenido[$idplano]['00']['ultimaversionNum']=$row['numversion'];
				$Contenido[$idplano]['00']['desde']=$comunicaciones[$row['idaprueba']]['fecha'];
				$Contenido[$idplano]['00']['estadob']='aprobada';
				$CANTversionesevaluadas++;
				
			}elseif(isset($comunicaciones[$row['idrechaza']]['fecha'])){
				$Contenido[$idplano]['00']['estado']='a revisin';
				$Contenido[$idplano]['00']['ultimaversionNum']=$row['numversion'];
				$Contenido[$idplano]['00']['desde']=$comunicaciones[$row['idrechaza']]['fecha'];
				$Contenido[$idplano]['00']['estadob']='rechazada';
				$CANTversionesevaluadas++;
				
			}elseif(isset($comunicaciones[$row['idpresenta']]['fecha'])){
				$Contenido[$idplano]['00']['estado']='evaluando';
				$Contenido[$idplano]['00']['ultimaversionNum']=$row['numversion'];
				$Contenido[$idplano]['00']['desde']=$comunicaciones[$row['idpresenta']]['fecha'];
				$Contenido[$idplano]['00']['estadob']='enevaluacion';
				$CANTversionesevaluadas++;
				
			}else{
				$Contenido[$idplano]['00']['estado']='programado';
				$Contenido[$idplano]['00']['estadob']='programada';
				$CANTversionesevaluadas++;				
				$CANTversionesanuladas++;
			}
			
		}
	}	


	foreach($Contenido as $idp => $data){
		//if(!isset($data['00']['grupoa']['id'])){$data['00']['grupoa']['id']='';}
		//if(!isset($data['00']['grupob']['id'])){$data['00']['grupob']['id']='';}
		$numerosinblancos=strtoupper(str_replace(" ", "", $data['00']['numero']));		
		if($data['00']['estado']!='anulada'){
			if(!isset($PLANOSCARGADOSACTIVOS[$numerosinblancos])){
				$PLANOSCARGADOSACTIVOS[$numerosinblancos]=0;
			}
			$PLANOSCARGADOSACTIVOS[$numerosinblancos]++; //variable global, array listado de nmeros de plano y sus respectivas cantidades	
			
			
			if(!isset($PLANOSgruposCARGADOSACTIVOS[$data['00']['grupoa']['id'].'_'.$data['00']['grupob']['id']."_".$numerosinblancos])){
				$PLANOSgruposCARGADOSACTIVOS[$data['00']['grupoa']['id'].'_'.$data['00']['grupob']['id']."_".$numerosinblancos]=0;
			}	
			$PLANOSgruposCARGADOSACTIVOS[$data['00']['grupoa']['id'].'_'.$data['00']['grupob']['id']."_".$numerosinblancos]++;//variable global, array listado de nmeros de grupos mas plano y sus respectivas cantidades 				
		}
		
		if(!isset($PLANOSCARGADOS[$numerosinblancos])){$PLANOSCARGADOS[$numerosinblancos]=0;}
		$PLANOSCARGADOS[$numerosinblancos]++; //variable global, array listado de nmeros de plano y sus respectivas cantidades
		if(!isset($PLANOSgruposCARGADOS[$data['00']['grupoa']['id'].'_'.$data['00']['grupob']['id']."_".$numerosinblancos])){$PLANOSgruposCARGADOS[$data['00']['grupoa']['id'].'_'.$data['00']['grupob']['id']."_".$numerosinblancos]=0;}
		$PLANOSgruposCARGADOS[$data['00']['grupoa']['id'].'_'.$data['00']['grupob']['id']."_".$numerosinblancos]++;//variable global, array listado de nmeros de grupos mas plano y sus respectivas cantidades 					
	}

	rendimiento_checkpoint('iteracion arrays: ',__DIR__,__FILE__,__LINE__);//medicion rendimiento lamp

	
	global $CANTdocumentos;
	$CANTdocumentos=0;
	
	global $CANTdocumentosA;
		
	global $CANTdocumentosaprobados;
	$CANTdocumentosaprobados=0;
	
	global $CANTdocumentosaprobadosA;
	
	global $CANTdocumentospresentados;
	$CANTdocumentospresentados=0;
	global $CANTdocumentospresentadosA;
		
	global $CANTdocumentosrechazado;
	$CANTdocumentosrechazado=0;
	global $CANTdocumentosrechazadoA;
		
	global $CANTdocumentosapresentar;
	$CANTdocumentosapresentar=0;
	global $CANTdocumentosapresentarA;
		
	global $CANTdocumentosevaluando;
	$CANTdocumentosevaluando=0;
	global $CANTdocumentosevaluandoA;

	global $CANTdocumentosanulados;
	$CANTdocumentosanulados=0;
	global $CANTdocumentosanuladosA;
	
	
	
		
	foreach($Contenido as $clave => $elemento){
		
		//contabiliza documentos para resumen.
		
		if($elemento['00']['estado']=='anulada'){
			$CANTdocumentosanulados++;
			if(!isset($CANTdocumentosanuladosA['B'][$elemento['00']['sector']])){$CANTdocumentosanuladosA['B'][$elemento['00']['sector']]=0;}	
			$CANTdocumentosanuladosA['B'][$elemento['00']['sector']]++;
		}else{
			$CANTdocumentos++;
			if(!isset($CANTdocumentosA['B'][$elemento['00']['sector']])){$CANTdocumentosA['B'][$elemento['00']['sector']]=0;}		
			$CANTdocumentosA['B'][$elemento['00']['sector']]++;					
		}
		//echo $elemento['00']['sector'];

		if($elemento['00']['estado']=='programado'){
				$CANTdocumentosapresentar++;
				if(!isset($CANTdocumentosapresentarA['B'][$elemento['00']['sector']])){$CANTdocumentosapresentarA['B'][$elemento['00']['sector']]=0;}
				$CANTdocumentosapresentarA['B'][$elemento['00']['sector']]++;
		}
		
		if(
			$elemento['00']['estado']=='evaluando'||
			$elemento['00']['estado']=='aprobado'||
			$elemento['00']['estado']=='a revisin'
		){
			$CANTdocumentospresentados++;
			if(!isset($CANTdocumentospresentadosA['B'][$elemento['00']['sector']])){$CANTdocumentospresentadosA['B'][$elemento['00']['sector']]=0;}
			$CANTdocumentospresentadosA['B'][$elemento['00']['sector']]++;
		}
		
		if(
			$elemento['00']['estado']=='evaluando'
		){
			$CANTdocumentosevaluando++;
			if(!isset($CANTdocumentosevaluandoA['B'][$elemento['00']['sector']])){$CANTdocumentosevaluandoA['B'][$elemento['00']['sector']]=0;}
			$CANTdocumentosevaluandoA['B'][$elemento['00']['sector']]++;
		}			
					
		If($elemento['00']['estado']=='aprobado'){
			$CANTdocumentosaprobados++;
			if(!isset($CANTdocumentosaprobadosA['B'][$elemento['00']['sector']])){$CANTdocumentosaprobadosA['B'][$elemento['00']['sector']]=0;}
			$CANTdocumentosaprobadosA['B'][$elemento['00']['sector']]++;
		}
		
		If($elemento['00']['estado']=='a revisin'){
			$CANTdocumentosrechazado++;
			if(!isset($CANTdocumentosrechazadoA['B'][$elemento['00']['sector']])){$CANTdocumentosrechazadoA['B'][$elemento['00']['sector']]=0;}
			$CANTdocumentosrechazadoA['B'][$elemento['00']['sector']]++;
		}
	}	
	
	// elimina del array los documentos que no cumplen con los criterios de filtrado de visualizacin
	foreach($Contenido as $clave => $elemento){
		
		if($FILTRO!=''){
			$validado='no';
			foreach($FILTRO as $F){
				if($elemento['00']['estado']==$F){
					$validado='si';
				}
			}
			if($validado=='no'){unset($Contenido[$clave]);}			
		}
			
		if($FILTROFECHAD!=''){
			if($elemento['00']['desde']<$FILTROFECHAD){
				unset($Contenido[$clave]);
			}
		}					
		
		if($FILTROFECHAH!=''){
			if($elemento['00']['desde']>=$FILTROFECHAH){
				unset($Contenido[$clave]);
			}
		}	
	
	}
	
	$est['CANTdocumentos']=$CANTdocumentos;
	$est['CANTdocumentosaprobados']=$CANTdocumentosaprobados;
	$CANTdocumentosaprobadosP=round(100/$CANTdocumentos*$CANTdocumentosaprobados);
	$est['CANTdocumentosaprobadosP']=$CANTdocumentosaprobadosP;				
	$est['CANTversionesevaluadas']=$CANTversionesevaluadas;
	$CANTversionesevaluadasP=number_format(($CANTversionesevaluadas/$CANTdocumentosaprobados),2);
	$est['CANTversionesevaluadasP']=$CANTversionesevaluadasP;
	$est['CANTdocumentospresentados']=$CANTdocumentospresentados;
	$est['CANTdocumentosapresentar']=$CANTdocumentosapresentar;
	$est['CANTdocumentosevaluando']=$CANTdocumentosevaluando;
	$est['CANTdocumentosrechazado']=$CANTdocumentosrechazado;
	$est['CANTdocumentosanulado']=$CANTdocumentosanulados;
	
	
	documentacionPANestadisticasCargar($est);	
	//echo "<pre>";print_r($CANTdocumentosanuladosA);echo"</pre>";	
	//echo "<pre>";print_r($Contenido);echo"</pre>";
	return $Contenido;
}

/**
* realiza una consulta de documentos presentados asociados a estados de visado preliminar especfico
*
 * variables globales de entrada
* @global integer $PanelI id del panel activo y validado para su acceso
* @global resource $Conec1 coneccin abierta a la base de datos mysql 
* @global array $config configuracin del panel, resultado de la bsqueda en la base.
* @global date $Freportehasta define fecha de consulta elimina todo registro postrior a la fecha de consulta, simula una consulta realizada en el pasado.  
* @global array $FILTRO valores vlidos por estado, estando definido solo muestra documentaciones con estado de igual nombre.
* @global date $FILTROFECHAD filtra la bsqueda de documentos mostrando solo aquellos presentados porteriores a la fecha dada.
* @global date $FILTROFECHAH filtra la bsqueda de documentos mostrando solo aquellos presentados anteriores a la fecha dada (esto es distinto de $Freportehata).
 * variables globales de salida (devuelven vaaores sumarizados)
* @global integer $CANTdocumentos cantidad totale de documentos programados para el proyecto
* @global integer $CANTdocumentosaprobados cantidad de documentos aprobados en su ltima versin programada
* @global integer $CANTdocumentospresentados cantidad de documentos presntados en su ltima versin programada
* @global integer $CANTdocumentosrechazado cantidad de documentos rechazados en su ltima versin programada
* @global integer $CANTdocumentosapresentar cantidad de documentos a presentar en ltima versin programada
* @global integer $CANTdocumentosevaluando cantidad de documentos en evaluacin en su ltima versin programada
 * 
* @return array Retorna listado de documentos con sublistados de versiones (con el key de su numeracion) y un sublistado de caractersticas del documento general (bajo el key 00)
*/
function documentoconsultavisado($MODOREPORTEIDVISADOS, $VERSIONES){
	global $PanelI, $Conec1, $config;
	
	// carga consulta en la variable array: $Contenido 	
	$Contenido =  documentoconsulta();
	//echo "<pre>";print_r($Contenido);echo "</pre>";
	if($VERSIONES=='TodasLasVersiones'){
		echo "se muestran todas las versiones ";
	}else{
		echo "Solo se muestra el visado de ltima versin registrada para cada documento.";
	}
	
	Foreach($Contenido as $idplano => $Arrplano){
	
		$Fila[$idplano]['grupoa']= $Arrplano['00']['grupoa'];
		$Fila[$idplano]['grupob']= $Arrplano['00']['grupob'];		
		$Fila[$idplano]['sector']= $Arrplano['00']['sector'];
		$Fila[$idplano]['planta']= $Arrplano['00']['planta'];	
		$Fila[$idplano]['numero']= $Arrplano['00']['numero'];	
		$Fila[$idplano]['nombre']= $Arrplano['00']['nombre'];
		$Fila[$idplano]['escala']= $Arrplano['00']['escala'];
		$Fila[$idplano]['rubro']= $Arrplano['00']['rubro'];
		$Fila[$idplano]['tipologia']= $Arrplano['00']['tipologia'];
		$Fila[$idplano]['estado']= $Arrplano['00']['estado'];
		$Fila[$idplano]['desde']= $Arrplano['00']['desde'];
		
		$FilaV[$idplano]=$Fila[$idplano];
		
		foreach ($Arrplano as $nver => $ver ){
			unset($visado);
			$estado='';
			If(isset($ver['anula']['fecha'])){$estado='anuladamuestra';}		
			If(!isset($ver['presenta']['fecha']) && !isset($ver['aprueba']['fecha']) && !isset($ver['anula']['fecha']) && !isset($ver['rechaza']['fecha'])){$cargadocsid='';}
			if($estado!='anuladamuestra'){$version = $ver["numversion"];}
			
			foreach($MODOREPORTEIDVISADOS as $idvisadoRep){
				
				foreach($ver['visados'] as $idvisado => $dato){
					
					
					if($idvisado == $idvisadoRep){
						
						$visado[$idvisado]['enviado']= $dato['evaluandodesde'];
						if($dato['evaluandodesde']=='0000-00-00'){
							$visado[$idvisado]['enviado']= '';	
						}

						if($dato['resultado']!==null){
							$visado[$idvisado]['enviado']= 'falta dato';	
						}						
						
						if($visado[$idvisado]['enviado']>'0000-00-00'||$dato['resultado']!==null){
							
							if(($dato['fecharespuesta']!='0000-00-00'&&$dato['fecharespuesta']!='')||$dato['resultado']!==null){
								$visado[$idvisado]['respuesta']='si';
							}else{
								$visado[$idvisado]['respuesta']='no';
							}
							
							if($dato['resultado']=='0'){
								$visado[$idvisado]['resultado']='a revisar';
							}elseif($dato['resultado']=='-1'){
								$visado[$idvisado]['resultado']='evaluando';
							}elseif($dato['resultado']=='1'){
								$visado[$idvisado]['resultado']='aprobado';
							}
							
						}else{
							$visado[$idvisado]['respuesta']='-';
							$visado[$idvisado]['resultado']='-';
						}												
						$visado[$idvisado]['observaciones']=$dato['observaciones'];	
						$visado[$idvisado]['version']=$version;
						//echo $visado[$idvisado]['respuesta'];
						
						//echo "<br>[$idplano][$nver][$idvisado]:".$visado[$idvisado]['respuesta']."__";
						if($VERSIONES=='TodasLasVersiones'){
							$FilaV[$idplano]['visados'][$nver]=$visado;
							
							/*$FilaV[$idplano][$nver][$idvisado]['enviado']=$visado['enviado'];
							$FilaV[$idplano][$nver][$idvisado]['respuesta']=$visado['respuesta'];
							$FilaV[$idplano][$nver][$idvisado]['resultado']=$visado['resultado'];
							$FilaV[$idplano][$nver][$idvisado]['observaciones']=$visado['observaciones'];*/
							if($visado[$idvisado]['enviado']!=''||$visado[$idvisado]['respuesta']!='-'){
								$FilaV[$idplano]['visados'][$nver]['visamiento']='si';//indica que este documento entro en circuito de visado para alguno de los visador requeridos
							}							
						}						
					}
				}
			}

			$Fila[$idplano]['version']=$version;
			
			$FilaV[$idplano]['version']=$version;
						
			$vers[$idplano]['version']=$version;
		}

		$Fila[$idplano]['version']=$version;

		foreach($MODOREPORTEIDVISADOS as $idvisado){
			//print_r($VisadoVer);

			$Fila[$idplano]['visados'][0][$idvisado]['enviado']= $visado[$idvisado]['enviado'];
			$Fila[$idplano]['visados'][0][$idvisado]['respuesta']= $visado[$idvisado]['respuesta'];
			$Fila[$idplano]['visados'][0][$idvisado]['resultado']= $visado[$idvisado]['resultado'];
			$Fila[$idplano]['visados'][0][$idvisado]['observaciones']= $visado[$idvisado]['observaciones'];
			if($visado[$idvisado]['enviado']!=''){
				$Fila[$idplano]['visados'][0]['visamiento']='si';//indica que este documento entro en circuito de visado para alguno de los visador requeridos
			}
		}
	}

//echo "<pre>";print_r($FilaV);echo"</pre>";
	if($VERSIONES=='TodasLasVersiones'){
		return $FilaV;	
	}else{
		return $Fila;
	}
}

/**
* realiza una bsqueda de todas comunicaciones en la base de datos para el panel activo y debuelve una array desordenado
* @global string $Base base de datos mysql de trabajo
* @global array $config configuracion del panel activo
* @global int $PanelI id del panel activo
* @return array organizado y ordenado con el resultado de la bsqueda conteniendo los datos bsicos de la comunicacin, y arrays con estados y respuestas
* @global array $ACUM VALORES ACUMULADOS PARA GRAFICOS ESTADSITCOS
*/
function documentacionPANestadisticasCargar($est){
	global $PanelI, $config, $Base; //entorno 

	
	$micro_date = microtime(true);
	$date_array = explode(" ",$micro_date);
	$Millidate = /*$date_array[1]*1000+*/round($date_array[0]*1000);	


	if(isset($_SESSION['panelcontrol'] -> McTi_Rdoc)){
		$smc=$_SESSION['panelcontrol'] -> McTi_Rdoc;
		unset($_SESSION['panelcontrol'] -> McTi_Rdoc);
		if($smc>1453750000){
			$mc=microtime(true)-$smc;echo "<p>mT consulta: $mc</p>";
		}else{
		//	echo "error: $smc";
		}
		
		if($mc>(60*60*1000000)){unset($mc);}
	}else{
		$mc='';
	}
	$query = "
	
	INSERT INTO `paneles`.`PANestadisticasDOC`

	SET
		
		`zz_AUTOPANEL`='".$PanelI."',
		`fechahora`='".$Millidate."',
		`ano`='".date("Y")."',	
		`mes`='".date("m")."',	
		`totDocs`='".$est['CANTdocumentos']."',
		`totAprob`='".$est['CANTdocumentosaprobados']."',
		`totAprobP`='".$est['CANTdocumentosaprobadosP']."',
		`totVerEval`='".$est['CANTversionesevaluadas']."',
		`totVerEvalP`='".$est['CANTversionesevaluadasP']."',
		`totPres`='".$est['CANTdocumentospresentados']."',
		`statPend`='".$est['CANTdocumentosapresentar']."',			
		`statEval`='".$est['CANTdocumentosevaluando']."',		
		`statRev`='".$est['CANTdocumentosrechazado']."',
		`statAnulado`='".$est['CANTdocumentosanulado']."',
		zz_microtiempo='".$mc."',
		zz_server='".$_SERVER['HTTP_HOST']."'
		
	";
	//echo $query;
	mysql_query($query,$_SESSION['panelcontrol']->Conec1);
	echo mysql_error($_SESSION['panelcontrol']->Conec1);
}


/**
* realiza una bsqueda de todas comunicaciones en la base de datos para el panel activo y debuelve una array desordenado
* @global string $Base base de datos mysql de trabajo
* @global array $config configuracion del panel activo
* @global int $PanelI id del panel activo
* @return array organizado y ordenado con el resultado de la bsqueda conteniendo los datos bsicos de la comunicacin, y arrays con estados y respuestas
* @global array $ACUM VALORES ACUMULADOS PARA GRAFICOS ESTADSITCOS
*/
function documentacionesResumen(){
	global $PanelI, $config, $Base; //entorno 
	global $Hoy; //input 
	global $ACUM, $Grupos;	 //output
		
		$query="
			SELECT 
				`PANestadisticasDOC`.`id`,
			    `PANestadisticasDOC`.`zz_AUTOPANEL`,
			    `PANestadisticasDOC`.`fechahora`,
			    `PANestadisticasDOC`.`mes`,
			    `PANestadisticasDOC`.`ano`,
			    `PANestadisticasDOC`.`totDocs`,
			    `PANestadisticasDOC`.`totAprob`,
			    `PANestadisticasDOC`.`totAprobP`,
			    `PANestadisticasDOC`.`totVerEval`,
			    `PANestadisticasDOC`.`totVerEvalP`,
			    `PANestadisticasDOC`.`totPres`,
			    `PANestadisticasDOC`.`statPend`,
			    `PANestadisticasDOC`.`statEval`,
			    `PANestadisticasDOC`.`statRev`,
			    `PANestadisticasDOC`.statAnulado
			FROM `paneles`.`PANestadisticasDOC`
			WHERE zz_AUTOPANEL='".$PanelI."'
			ORDER BY fechahora DESC
			LIMIT 1
			";
			$Con=mysql_query($query,$_SESSION['panelcontrol']->Conec1);
			echo mysql_error();
			$PANestCom=mysql_fetch_assoc($Con);
			
	$micro_date = microtime();
	$date_array = explode(" ",$micro_date);
	$Millidate = $date_array[1]*1000+round($date_array[0]*1000);	
	
	$hace=number_format((($Millidate-$PANestCom['fechahora'])/1000/60/60),0);
	
	$resumen="
	<div class='resumen'>
	
		<div class='renglon' title=''>
			<span class='definicion'>Total de Documentos previstos</span><span>".$PANestCom['totDocs']."</span>
		</div>	
		<div class='renglon' title=''>
			<span class='definicion'>Total de Documentos aprobados</span><span>".$PANestCom['totAprob']." (".$PANestCom['totAprobP']."%)</span>		
		</div>		
		<div class='renglon' title=''>
			<span class='definicion'>Total Versiones evaluadas</span><span class=' resaltado'>".$PANestCom['totVerEvalb']." (".$PANestCom['totVerEvalP'].")</span>		
		</div>
		<div class='renglon' title=''>	
			<span class='definicion'>Total de documentos presentados</span><span>".$PANestCom['totPres']."</span>
		</div>			
		<div class='renglon' title=''>
			<span class='definicion'>Documentos pendientes de presentacin</span><span>".$PANestCom['statPend']."</span>
		</div>

		<div class='renglon' title=''>	
			<span class='definicion'>Documentos en evaluacin</span><span>".$PANestCom['statEval']."</span>
		</div>

		<div class='renglon' title=''>
			<span class='definicion'>Documentos en reversin</span><span>".$PANestCom['statRev']."</span>		
		</div>
		
		";
		
		if($PANestCom['statAnulado']>'0'){
			$resumen.="
			<div class='renglon' title=''>
				<span class='definicion'>Se han anulado Documentos inicialemnte previstos</span>
				<span class=''>".$PANestCom['statAnulado']."</span>	
			</div>			
			";	
		}
		
		$resumen.="
	</div>
		
     ";
     
	$antig="<div class='antig'>ltima actualizacin: <br> $hace horas <br><a target='ventanaaccion' class='actualizar' href='./PANactualizar.php?documentaciones=si'><img src='' alt='actualizar'></a></div>";
	ini_set('display_errors', '1');
	
	$resumen=utf8_encode($resumen);
	
	$res['resumen']=$resumen;
	
	$antig=utf8_encode($antig);
	
	$res['antig']=$antig;
	
	return $res;
	
}
			
?>