CREATE DATABASE  IF NOT EXISTS `paneles` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `paneles`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: 192.168.0.244    Database: paneles
-- ------------------------------------------------------
-- Server version	5.1.54-1ubuntu4

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `configuracion`
--

DROP TABLE IF EXISTS `configuracion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `configuracion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_p_paneles_id_nombre` int(11) NOT NULL COMMENT 'ID de Panel',
  `gral-orden-grupo` enum('normal','invertido') NOT NULL DEFAULT 'normal' COMMENT 'Agrupación. Orden normal o invertido.',
  `ind-activo` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Módulo Activo, Seguimimento de Indicadores.',
  `ind-rep-traking` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'tracking en el reporte de indicadores',
  `ind-rep-com-sale` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'comunicaciones salientes. En el reporte de indicadores.',
  `ind-rep-com-entra` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'comunicaciones entrantes. En el reporte de indicadores.',
  `ind-feriado` int(11) DEFAULT NULL COMMENT 'indicador feriado. id del registro en la tabla indicadores que define si un dia es feriado (no laborable) con un valor igual a 1.\n',
  `tra-activo` tinyint(1) DEFAULT NULL COMMENT 'Módulo Activo, Rastreo de Actividades Internas.',
  `com-activo` tinyint(1) DEFAULT NULL COMMENT 'Módulo Activo, Seguimimento de Comunicaciones.',
  `com-entra` varchar(45) NOT NULL DEFAULT 'nota de pedido' COMMENT 'Entrante, nombre de la comunicación entrante.',
  `com-entra-preN` varchar(45) DEFAULT NULL COMMENT 'repfijo al númenro de comun. entrante',
  `com-entra-preNx` varchar(45) DEFAULT NULL COMMENT 'repfijo al númenro de comun. entrante extraoficial',
  `com-sale` varchar(45) NOT NULL DEFAULT 'orden de servicio' COMMENT 'Saliente, nombre de la comunicación saliente.',
  `com-sale-preN` varchar(45) DEFAULT NULL COMMENT 'repfijo al númenro de comun. saliente',
  `com-sale-preNx` varchar(45) DEFAULT NULL COMMENT 'prepfijo al número de comun. saliente extraoficial',
  `com-grupob` varchar(45) NOT NULL DEFAULT 'sector' COMMENT 'criterio 1º de agrupación',
  `com-grupoa` varchar(45) NOT NULL DEFAULT 'departemento' COMMENT 'Criterio 2º de Agrupación',
  `com-ident` varchar(45) NOT NULL DEFAULT 'Nro de expediente' COMMENT 'Identificador primario',
  `com-identdos` varchar(45) NOT NULL DEFAULT 'numero interno' COMMENT 'identificador secundario',
  `com-identtres` varchar(45) NOT NULL DEFAULT 'numero alternativo' COMMENT 'Identificador terciario',
  `com-seguimiento` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'realizar seguimiento si requiere o no respuesta',
  `com-seguimiento-plazo` float NOT NULL DEFAULT '4' COMMENT 'plazo por defecto en días para de respuesta inicial',
  `com-seguimiento-inicio` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'realizar seguimiento de inicio de activides asociadas',
  `com-aprobacion` tinyint(1) DEFAULT '0' COMMENT 'Aprobación múltiple de comunicaciones entrantes',
  `com-aprobacion-sale` tinyint(1) DEFAULT '0' COMMENT 'Aprobación múltiple de comunicaciones salientes',
  `com-prefijo-grupo` enum('desactivado','primario','secundario') NOT NULL DEFAULT 'desactivado' COMMENT 'Criterio de agrupación de comunicaciones:',
  `inf-activo` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Módulo Activo, Sistema de seguimiento de informes.',
  `doc-activo` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Módulo Activo, Sistema de Seguimiento de Documentación.',
  `doc-visadomultiple` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'aprobación de documentos en instancias intermedias',
  `doc-criterionum` enum('único','único por grupo','irrestricto') NOT NULL DEFAULT 'único' COMMENT 'Criterio de repetición para la numeración de documentos',
  `tar-activo` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Módulo Activo, Sistema de Seguimiento de Tareas.',
  `hit-activo` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Módulo Activo, Sistema de Seguimiento de Hitos.',
  `cer-activo` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'Módulo Activo, Certificaciones.',
  `cer-minimo` tinyint(1) DEFAULT '0' COMMENT 'Utilizar límite mínimo para el módulo de certificación',
  `cer-maximo` tinyint(1) DEFAULT '0' COMMENT 'Utilizar límite máximo para el módulo de certificación',
  `zz_AUTOPANEL` int(11) NOT NULL DEFAULT '-1' COMMENT 'id automático e inviolable de panel, creado autopmáticamente.',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=48 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-01-26 16:16:14
